<?php

namespace App\Http\Controllers;

use App\Models\Menus;
use Illuminate\Http\Request;
use App\Models\MenuItems;

class MenusController extends Controller
{
    public function index()
    {
        $menus = Menus::all();
        return view('backend.menus.index', compact('menus'));
    }

    public function create()
    {
        return view('backend.menus.create');
    }

    public function store(Request $request)
    {
        $menu = Menus::create(['name' => $request->name]);
        return redirect()->route('admin.menus.index')->with('success', 'Menu created successfully.');
    }

    public function edit($id)
    {
        $menu = Menus::findOrFail($id);
        $menuItems = $menu->items;
        return view('backend.menus.edit', compact('menu', 'menuItems'));
    }

    public function update(Request $request, $id)
    {
        if (env('DEMO_MODE') == 'on') {
            return redirect()->back()->with('error', 'This action is disabled in demo mode.');
        } else {
            $menu = Menus::findOrFail($id);
            $menu->update(['name' => $request->name]);
            return redirect()->route('admin.menus.index')->with('success', 'Menu updated successfully.');
        }
    }

    public function destroy($id)
    {
        if (env('DEMO_MODE') == 'on') {
            return redirect()->back()->with('error', 'This action is disabled in demo mode.');
        } else {
            $menu = Menus::findOrFail($id);
            $menu->delete();
            return redirect()->route('admin.menus.index')->with('success', 'Menu deleted successfully.');
        }
    }

    public function saveOrder(Request $request)
    {
        $order = $request->input('order');

        foreach ($order as $item) {
            $menuItem = MenuItems::find($item['id']);
            if ($menuItem) {
                $menuItem->order = $item['position']; // Assuming 'order' is the field to store position
                $menuItem->save();
            }
        }

        return response()->json(['message' => 'Menu order updated successfully!']);
    }

}
