<?php

namespace App\Http\Controllers;

use App\Models\BusinessSettings;
use App\Models\themes;
use Illuminate\Http\Request;

class ThemesController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $themes = themes::where('status', 1)->get();
        return view('backend.themes.index', compact('themes'));
    }

    public function activate(Request $request){
        // Validate the incoming request
        $request->validate([
            'theme' => 'required|string', // Ensure theme is provided and is a string
        ]);

        // Retrieve or create the "theme" setting in the BusinessSettings table
        $themeSetting = BusinessSettings::updateOrCreate(
            ['key' => 'theme'],          // Find the record with the key 'theme'
            ['value' => $request->theme] // Update or insert the value
        );

        // Flash a success message
        return redirect()->back()->with('success', 'Theme updated successfully!');

        // Redirect back or to a specific route
        return redirect()->back();
    }

}
