<?php

namespace App\Http\Middleware;

use Closure;
use App\Models\PageView;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Symfony\Component\HttpFoundation\Response;
use GeoIP;
use Illuminate\Support\Facades\Log;

class Locale
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next)
    {
        $location = geoip()->getLocation();
        // Log country and other data into the database.
        Log::info("User from: {$location['country']}");
        // Check if a locale is stored in the session
        if (session()->has('locale')) {
            // Set the application locale to the value stored in the session
            App::setLocale(session()->get('locale'));
        }

        $pageView = new PageView();
        $pageView->ip_address = $request->ip();
        $pageView->url = $request->fullUrl();
        $pageView->session_id = $request->getSession()->getId();
        $pageView->save();

        return $next($request);
    }
}
