<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\PageView;

class TrackPageView
{
    public function handle(Request $request, Closure $next)
    {
        // Ignore certain paths (e.g., admin panel)
        if ($request->is('admin/*')) {
            return $next($request);
        }

        // Track visitor's IP and session
        $pageView = new PageView();
        $pageView->ip_address = $request->ip();
        $pageView->url = $request->url();
        $pageView->session_id = $request->getSession()->getId();
        $pageView->save();

        return $next($request);
    }
}
