<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MenuItems extends Model
{
    use HasFactory;

    protected $fillable = ['menu_id', 'parent_id', 'type', 'title', 'url', 'order'];

    public function parent()
    {
        return $this->belongsTo(MenuItems::class, 'parent_id');
    }

    public function children()
    {
        return $this->hasMany(MenuItems::class, 'parent_id');
    }

    public function menu()
    {
        return $this->belongsTo(Menus::class, 'menu_id'); // Correct foreign key column
    }
}

