<?php

return [

    // Uncomment the languages that your site supports - or add new ones.
    // These are sorted by the native name, which is the order you might show them in a language selector.
    // Regional languages are sorted by their base language, so "British English" sorts as "English, British"
    'supportedLocales' => [
        'af'            => ['name' => 'Afrikaans',              'script' => 'Latn', 'native' => 'Afrikaans', 'regional' => 'za', 'country' => 'South Africa'],
        'ak'            => ['name' => 'Akan',                   'script' => 'Latn', 'native' => 'Akan', 'regional' => 'gh', 'country' => 'Ghana'],
        'an'            => ['name' => 'Aragonese',              'script' => 'Latn', 'native' => 'aragonés', 'regional' => 'es', 'country' => 'Spain'],
        'ay'            => ['name' => 'Aymara',                 'script' => 'Latn', 'native' => 'aymar aru', 'regional' => 'pe', 'country' => 'Peru'],
        'az'            => ['name' => 'Azerbaijani (Latin)',    'script' => 'Latn', 'native' => 'azərbaycanca', 'regional' => 'az', 'country' => 'Azerbaijan'],
        'id'            => ['name' => 'Indonesian',             'script' => 'Latn', 'native' => 'Bahasa Indonesia', 'regional' => 'id', 'country' => 'Indonesia'],
        'ms'            => ['name' => 'Malay',                  'script' => 'Latn', 'native' => 'Bahasa Melayu', 'regional' => 'my', 'country' => 'Malaysia'],
        'nb'            => ['name' => 'Norwegian Bokmål',       'script' => 'Latn', 'native' => 'Bokmål', 'regional' => 'no', 'country' => 'Norway'],
        'bs'            => ['name' => 'Bosnian',                'script' => 'Latn', 'native' => 'bosanski', 'regional' => 'ba', 'country' => 'Bosnia and Herzegovina'],
        'br'            => ['name' => 'Breton',                 'script' => 'Latn', 'native' => 'brezhoneg', 'regional' => 'fr', 'country' => 'France'],
        'ca'            => ['name' => 'Catalan',                'script' => 'Latn', 'native' => 'català', 'regional' => 'es', 'country' => 'Spain'],
        'cy'            => ['name' => 'Welsh',                  'script' => 'Latn', 'native' => 'Cymraeg', 'regional' => 'gb', 'country' => 'United Kingdom'],
        'da'            => ['name' => 'Danish',                 'script' => 'Latn', 'native' => 'dansk', 'regional' => 'dk', 'country' => 'Denmark'],
        'se'            => ['name' => 'Northern Sami', '         script' => 'Latn', 'native' => 'davvisámegiella', 'regional' => 'no', 'country' => 'Norway'],
        'de'            => ['name' => 'German',                 'script' => 'Latn', 'native' => 'Deutsch', 'regional' => 'de', 'country' => 'Germany'],
        'et'            => ['name' => 'Estonian',               'script' => 'Latn', 'native' => 'eesti', 'regional' => 'ee', 'country' => 'Estonia'],
        'en'            => ['name' => 'English',                'script' => 'Latn', 'native' => 'English', 'regional' => 'gb', 'country' => 'Great Britain'],
        'en-AU'         => ['name' => 'Australian English',     'script' => 'Latn', 'native' => 'Australian English', 'regional' => 'au', 'country' => 'Australia'],
        'en-GB'         => ['name' => 'British English',        'script' => 'Latn', 'native' => 'British English', 'regional' => 'gb', 'country' => 'United Kingdom'],
        'en-CA'         => ['name' => 'Canadian English',       'script' => 'Latn', 'native' => 'Canadian English', 'regional' => 'ca', 'country' => 'Canada'],
        'en-US'         => ['name' => 'U.S. English',           'script' => 'Latn', 'native' => 'U.S. English', 'regional' => 'us', 'country' => 'United States'],
        'es'            => ['name' => 'Spanish',                'script' => 'Latn', 'native' => 'español', 'regional' => 'es', 'country' => 'Spain'],
        'eu'            => ['name' => 'Basque',                 'script' => 'Latn', 'native' => 'euskara', 'regional' => 'es', 'country' => 'Spain'],
        'fil'           => ['name' => 'Filipino',               'script' => 'Latn', 'native' => 'Filipino', 'regional' => 'ph', 'country' => 'Philippines'],
        'fr'            => ['name' => 'French',                 'script' => 'Latn', 'native' => 'français', 'regional' => 'fr', 'country' => 'France'],
        'fr-CA'         => ['name' => 'Canadian French',        'script' => 'Latn', 'native' => 'français canadien', 'regional' => 'ca', 'country' => 'Canada'],
        'fy'            => ['name' => 'Western Frisian',        'script' => 'Latn', 'native' => 'frysk', 'regional' => 'de', 'country' => 'Germany'],
        'fur'           => ['name' => 'Friulian',               'script' => 'Latn', 'native' => 'furlan', 'regional' => 'it', 'country' => 'Italy'],
        'fo'            => ['name' => 'Faroese',                'script' => 'Latn', 'native' => 'føroyskt', 'regional' => 'fo', 'country' => 'Faroe Islands'],
        'ga'            => ['name' => 'Irish',                  'script' => 'Latn', 'native' => 'Gaeilge', 'regional' => 'ie', 'country' => 'Ireland'],
        'gv'            => ['name' => 'Manx',                   'script' => 'Latn', 'native' => 'Gaelg', 'regional' => 'gb', 'country' => 'Isle of Man'],
        'gl'            => ['name' => 'Galician',               'script' => 'Latn', 'native' => 'galego', 'regional' => 'es', 'country' => 'Spain'],
        'gd'            => ['name' => 'Scottish Gaelic',        'script' => 'Latn', 'native' => 'Gàidhlig', 'regional' => 'gb', 'country' => 'United Kingdom'],
        'ha'            => ['name' => 'Hausa',                  'script' => 'Latn', 'native' => 'Hausa', 'regional' => 'ng', 'country' => 'Nigeria'],
        'hr'            => ['name' => 'Croatian',               'script' => 'Latn', 'native' => 'hrvatski', 'regional' => 'hr', 'country' => 'Croatia'],
        'bem'           => ['name' => 'Bemba',                  'script' => 'Latn', 'native' => 'Ichibemba', 'regional' => 'zm', 'country' => 'Zambia'],
        'ig'            => ['name' => 'Igbo',                   'script' => 'Latn', 'native' => 'Igbo', 'regional' => 'ng', 'country' => 'Nigeria'],
        'ia'            => ['name' => 'Interlingua',            'script' => 'Latn', 'native' => 'interlingua', 'regional' => 'fr', 'country' => 'France'],
        'iu-Latn'       => ['name' => 'Inuktitut (Latin)',      'script' => 'Latn', 'native' => 'Inuktitut', 'regional' => 'ca', 'country' => 'Canada'],
        'nr'            => ['name' => 'South Ndebele',          'script' => 'Latn', 'native' => 'isiNdebele', 'regional' => 'za', 'country' => 'South Africa'],
        'xh'            => ['name' => 'Xhosa',                  'script' => 'Latn', 'native' => 'isiXhosa', 'regional' => 'za', 'country' => 'South Africa'],
        'zu'            => ['name' => 'Zulu',                   'script' => 'Latn', 'native' => 'isiZulu', 'regional' => 'za', 'country' => 'South Africa'],
        'it'            => ['name' => 'Italian',                'script' => 'Latn', 'native' => 'italiano', 'regional' => 'it', 'country' => 'Italy'],
        'ik'            => ['name' => 'Inupiaq',                'script' => 'Latn', 'native' => 'Iñupiaq', 'regional' => 'ca', 'country' => 'Canada'],
        'mh'            => ['name' => 'Marshallese',            'script' => 'Latn', 'native' => 'Kajin M̧ajeļ', 'regional' => 'mh', 'country' => 'Marshall Islands'],
        'kl'            => ['name' => 'Kalaallisut',            'script' => 'Latn', 'native' => 'kalaallisut', 'regional' => 'gl', 'country' => 'Greenland'],
        'kw'            => ['name' => 'Cornish',                'script' => 'Latn', 'native' => 'kernewek', 'regional' => 'gb', 'country' => 'United Kingdom'],
        'rw'            => ['name' => 'Kinyarwanda',            'script' => 'Latn', 'native' => 'Kinyarwanda', 'regional' => 'rw', 'country' => 'Rwanda'],
        'sw'            => ['name' => 'Swahili',                'script' => 'Latn', 'native' => 'Kiswahili', 'regional' => 'ke', 'country' => 'Kenya'],
        'ht'            => ['name' => 'Haitian',                'script' => 'Latn', 'native' => 'Kreyòl ayisyen', 'regional' => 'ht', 'country' => 'Haiti'],
        'lv'            => ['name' => 'Latvian',                'script' => 'Latn', 'native' => 'latviešu', 'regional' => 'lv', 'country' => 'Latvia'],
        'lt'            => ['name' => 'Lithuanian',             'script' => 'Latn', 'native' => 'lietuvių', 'regional' => 'lt', 'country' => 'Lithuania'],
        'li'            => ['name' => 'Limburgish',             'script' => 'Latn', 'native' => 'Limburgs', 'regional' => 'be', 'country' => 'Belgium'],
        'lg'            => ['name' => 'Ganda',                  'script' => 'Latn', 'native' => 'Luganda', 'regional' => 'ug', 'country' => 'Uganda'],
        'lb'            => ['name' => 'Luxembourgish',          'script' => 'Latn', 'native' => 'Lëtzebuergesch', 'regional' => 'lu', 'country' => 'Luxembourg'],
        'hu'            => ['name' => 'Hungarian',              'script' => 'Latn', 'native' => 'magyar', 'regional' => 'hu', 'country' => 'Hungary'],
        'mg'            => ['name' => 'Malagasy',               'script' => 'Latn', 'native' => 'Malagasy', 'regional' => 'mg', 'country' => 'Madagascar'],
        'mt'            => ['name' => 'Maltese',                'script' => 'Latn', 'native' => 'Malti', 'regional' => 'mt', 'country' => 'Malta'],
        'mi'            => ['name' => 'Māori',                  'script' => 'Latn', 'native' => 'Māori', 'regional' => 'nz', 'country' => 'New Zealand'],
        'nl'            => ['name' => 'Dutch',                  'script' => 'Latn', 'native' => 'Nederlands', 'regional' => 'nl', 'country' => 'Netherlands'],
        'nn'            => ['name' => 'Norwegian Nynorsk',      'script' => 'Latn', 'native' => 'nynorsk', 'regional' => 'no', 'country' => 'Norway'],
        'oc'            => ['name' => 'Occitan',                'script' => 'Latn', 'native' => 'occitan', 'regional' => 'fr', 'country' => 'France'],
        'om'            => ['name' => 'Oromo',                  'script' => 'Latn', 'native' => 'Oromoo', 'regional' => 'et', 'country' => 'Ethiopia'],
        'uz-Latn'       => ['name' => 'Uzbek (Latin)',          'script' => 'Latn', 'native' => 'oʼzbekcha', 'regional' => 'uz', 'country' => 'Uzbekistan'],
        'nds'           => ['name' => 'Low German',             'script' => 'Latn', 'native' => 'Plattdüütsch', 'regional' => 'de', 'country' => 'Germany'],
        'pl'            => ['name' => 'Polish',                 'script' => 'Latn', 'native' => 'polski', 'regional' => 'pl', 'country' => 'Poland'],
        'pt'            => ['name' => 'Portuguese',             'script' => 'Latn', 'native' => 'português', 'regional' => 'pt', 'country' => 'Portugal'],
        'pt-BR'         => ['name' => 'Brazilian Portuguese',   'script' => 'Latn', 'native' => 'português do Brasil', 'regional' => 'br', 'country' => 'Brazil'],
        'ff'            => ['name' => 'Fulah',                  'script' => 'Latn', 'native' => 'Pulaar', 'regional' => 'sn', 'country' => 'Senegal'],
        'aa'            => ['name' => 'Afar',                   'script' => 'Latn', 'native' => 'Qafar', 'regional' => 'er', 'country' => 'Eritrea'],
        'ro'            => ['name' => 'Romanian',               'script' => 'Latn', 'native' => 'română', 'regional' => 'ro', 'country' => 'Romania'],
        'sc'            => ['name' => 'Sardinian',              'script' => 'Latn', 'native' => 'sardu', 'regional' => 'it', 'country' => 'Italy'],
        'de-CH'         => ['name' => 'Swiss High German',      'script' => 'Latn', 'native' => 'Schweizer Hochdeutsch', 'regional' => 'ch', 'country' => 'Switzerland'],
        'nso'           => ['name' => 'Northern Sotho',         'script' => 'Latn', 'native' => 'Sesotho sa Leboa', 'regional' => 'za', 'country' => 'South Africa'],
        'st'            => ['name' => 'Southern Sotho',         'script' => 'Latn', 'native' => 'Sesotho', 'regional' => 'za', 'country' => 'South Africa'],
        'tn'            => ['name' => 'Tswana',                 'script' => 'Latn', 'native' => 'Setswana', 'regional' => 'za', 'country' => 'South Africa'],
        'sq'            => ['name' => 'Albanian',               'script' => 'Latn', 'native' => 'shqip', 'regional' => 'al', 'country' => 'Albania'],
        'sid'           => ['name' => 'Sidamo',                 'script' => 'Latn', 'native' => 'Sidaamu Afo', 'regional' => 'et', 'country' => 'Ethiopia'],
        'ss'            => ['name' => 'Swati',                  'script' => 'Latn', 'native' => 'Siswati', 'regional' => 'za', 'country' => 'South Africa'],
        'sk'            => ['name' => 'Slovak',                 'script' => 'Latn', 'native' => 'slovenčina', 'regional' => 'sk', 'country' => 'Slovakia'],
        'sl'            => ['name' => 'Slovene',                'script' => 'Latn', 'native' => 'slovenščina', 'regional' => 'si', 'country' => 'Slovenia'],
        'so'            => ['name' => 'Somali',                 'script' => 'Latn', 'native' => 'Soomaali', 'regional' => 'so', 'country' => 'Somalia'],
        'sr-Latn'       => ['name' => 'Serbian (Latin)',        'script' => 'Latn', 'native' => 'Srpski', 'regional' => 'rs', 'country' => 'Serbia'],
        'fi'            => ['name' => 'Finnish',                'script' => 'Latn', 'native' => 'suomi', 'regional' => 'fi', 'country' => 'Finland'],
        'sv'            => ['name' => 'Swedish',                'script' => 'Latn', 'native' => 'svenska', 'regional' => 'se', 'country' => 'Sweden'],
        'tl'            => ['name' => 'Tagalog',                'script' => 'Latn', 'native' => 'Tagalog', 'regional' => 'ph', 'country' => 'Philippines'],
        'kab'           => ['name' => 'Kabyle',                 'script' => 'Latn', 'native' => 'Taqbaylit', 'regional' => 'dz', 'country' => 'Algeria'],
        'vi'            => ['name' => 'Vietnamese',             'script' => 'Latn', 'native' => 'Tiếng Việt', 'regional' => 'vn', 'country' => 'Vietnam'],
        'tg-Latn'       => ['name' => 'Tajik (Latin)',          'script' => 'Latn', 'native' => 'tojikī', 'regional' => 'tj', 'country' => 'Tajikistan'],
        'lu'            => ['name' => 'Luba-Katanga',           'script' => 'Latn', 'native' => 'Tshiluba', 'regional' => 'za', 'country' => 'Democratic Republic of the Congo'],
        'tr'            => ['name' => 'Turkish',                'script' => 'Latn', 'native' => 'Türkçe', 'regional' => 'tr', 'country' => 'Turkey'],
        'wa'            => ['name' => 'Walloon',                'script' => 'Latn', 'native' => 'Walon', 'regional' => 'be', 'country' => 'Belgium'],
        'wae'           => ['name' => 'Walser',                 'script' => 'Latn', 'native' => 'Walser', 'regional' => 'ch', 'country' => 'Switzerland'],
        'wo'            => ['name' => 'Wolof',                  'script' => 'Latn', 'native' => 'Wolof', 'regional' => 'sn', 'country' => 'Senegal'],
        'ts'            => ['name' => 'Tsonga',                 'script' => 'Latn', 'native' => 'Xitsonga', 'regional' => 'za', 'country' => 'South Africa'],
        'yo'            => ['name' => 'Yoruba',                 'script' => 'Latn', 'native' => 'Èdè Yorùbá', 'regional' => 'ng', 'country' => 'Nigeria'],
        'de-AT'         => ['name' => 'Austrian German',        'script' => 'Latn', 'native' => 'Österreichisches Deutsch', 'regional' => 'at', 'country' => 'Austria'],
        'is'            => ['name' => 'Icelandic',              'script' => 'Latn', 'native' => 'íslenska', 'regional' => 'is', 'country' => 'Iceland'],
        'cs'            => ['name' => 'Czech',                  'script' => 'Latn', 'native' => 'čeština', 'regional' => 'cz', 'country' => 'Czech Republic'],
        'el'            => ['name' => 'Greek',                  'script' => 'Grek', 'native' => 'Ελληνικά', 'regional' => 'gr', 'country' => 'Greece'],
        'uz'            => ['name' => 'Uzbek (Cyrillic)',       'script' => 'Cyrl', 'native' => 'Ўзбек', 'regional' => 'uz', 'country' => 'Uzbekistan'],
        'az-Cyrl'       => ['name' => 'Azerbaijani (Cyrillic)', 'script' => 'Cyrl', 'native' => 'Азәрбајҹан', 'regional' => 'uz', 'country' => 'Azerbaijan'],
        'os'            => ['name' => 'Ossetic',                'script' => 'Cyrl', 'native' => 'Ирон', 'regional' => 'ru', 'country' => 'Russia'],
        'ky'            => ['name' => 'Kyrgyz',                 'script' => 'Cyrl', 'native' => 'Кыргыз', 'regional' => 'kg', 'country' => 'Kyrgyzstan'],
        'sr'            => ['name' => 'Serbian (Cyrillic)',     'script' => 'Cyrl', 'native' => 'Српски', 'regional' => 'rs', 'country' => 'Serbia'],
        'be'            => ['name' => 'Belarusian',             'script' => 'Cyrl', 'native' => 'беларуская', 'regional' => 'by', 'country' => 'Belarus'],
        'bg'            => ['name' => 'Bulgarian',              'script' => 'Cyrl', 'native' => 'български', 'regional' => 'bg', 'country' => 'Bulgaria'],
        'mk'            => ['name' => 'Macedonian',             'script' => 'Cyrl', 'native' => 'македонски', 'regional' => 'mk', 'country' => 'North Macedonia'],
        'mn'            => ['name' => 'Mongolian (Cyrillic)',   'script' => 'Cyrl', 'native' => 'монгол', 'regional' => 'mn', 'country' => 'Mongolia'],
        'ce'            => ['name' => 'Chechen',                'script' => 'Cyrl', 'native' => 'нохчийн мотт', 'regional' => 'ru', 'country' => 'Russia'],
        'ru'            => ['name' => 'Russian',                'script' => 'Cyrl', 'native' => 'русский', 'regional' => 'ru', 'country' => 'Russia'],
        'tt'            => ['name' => 'Tatar',                  'script' => 'Cyrl', 'native' => 'татар теле', 'regional' => 'ru', 'country' => 'Russia'],
        'tg'            => ['name' => 'Tajik (Cyrillic)',       'script' => 'Cyrl', 'native' => 'тоҷикӣ', 'regional' => 'tj', 'country' => 'Tajikistan'],
        'tk'            => ['name' => 'Turkmen',                'script' => 'Cyrl', 'native' => 'түркменче', 'regional' => 'tm', 'country' => 'Turkmenistan'],
        'uk'            => ['name' => 'Ukrainian',              'script' => 'Cyrl', 'native' => 'українська', 'regional' => 'ua', 'country' => 'Ukraine'],
        'cv'            => ['name' => 'Chuvash',                'script' => 'Cyrl', 'native' => 'чӑваш чӗлхи', 'regional' => 'ru', 'country' => 'Russia'],
        'kk'            => ['name' => 'Kazakh',                 'script' => 'Cyrl', 'native' => 'қазақ тілі', 'regional' => 'kz', 'country' => 'Kazakhstan'],

        'hy'            => ['name' => 'Armenian',               'script' => 'Armn', 'native' => 'Հայերեն', 'regional' => 'am', 'country' => 'Armenia'],
        'yi'            => ['name' => 'Yiddish',                'script' => 'Hebr', 'native' => 'ייִדיש', 'regional' => 'us', 'country' => 'United States'],
        'he'            => ['name' => 'Hebrew',                 'script' => 'Hebr', 'native' => 'עברית', 'regional' => 'il', 'country' => 'Israel'],
        'ug'            => ['name' => 'Uyghur',                 'script' => 'Arab', 'native' => 'ئۇيغۇرچە', 'regional' => 'cn', 'country' => 'China'],
        'ur'            => ['name' => 'Urdu',                   'script' => 'Arab', 'native' => 'اردو', 'regional' => 'pk', 'country' => 'Pakistan'],
        'ar'            => ['name' => 'Arabic',                 'script' => 'Arab', 'native' => 'العربية', 'regional' => 'ae', 'country' => 'United Arab Emirates'],
        'tg-Arab'       => ['name' => 'Tajik (Arabic)',         'script' => 'Arab', 'native' => 'تاجیکی', 'regional' => 'tj', 'country' => 'Tajikistan'],
        'sd'            => ['name' => 'Sindhi',                 'script' => 'Arab', 'native' => 'سنڌي', 'regional' => 'in', 'country' => 'India'],
        'fa'            => ['name' => 'Persian',                'script' => 'Arab', 'native' => 'فارسی', 'regional' => 'ir', 'country' => 'Iran'],
        'pa-Arab'       => ['name' => 'Punjabi (Arabic)',       'script' => 'Arab', 'native' => 'پنجاب', 'regional' => 'in', 'country' => 'India'],
        'ps'            => ['name' => 'Pashto',                 'script' => 'Arab', 'native' => 'پښتو', 'regional' => 'af', 'country' => 'Afghanistan'],
        'ks'            => ['name' => 'Kashmiri (Arabic)',      'script' => 'Arab', 'native' => 'کأشُر', 'regional' => 'in', 'country' => 'India'],
        'ku'            => ['name' => 'Kurdish',                'script' => 'Arab', 'native' => 'کوردی', 'regional' => 'tr', 'country' => 'Turkey'],
        'dv'            => ['name' => 'Divehi',                 'script' => 'Thaa', 'native' => 'ދިވެހިބަސް', 'regional' => 'mv', 'country' => 'Maldives'],
        'ks-Deva'       => ['name' => 'Kashmiri (Devaganari)',  'script' => 'Deva', 'native' => 'कॉशुर', 'regional' => 'in', 'country' => 'India'],
        'kok'           => ['name' => 'Konkani',                'script' => 'Deva', 'native' => 'कोंकणी', 'regional' => 'in', 'country' => 'India'],
        'doi'           => ['name' => 'Dogri',                  'script' => 'Deva', 'native' => 'डोगरी', 'regional' => 'in', 'country' => 'India'],
        'brx'           => ['name' => 'Bodo',                   'script' => 'Deva', 'native' => 'बड़ो', 'regional' => 'in', 'country' => 'India'],
        'mr'            => ['name' => 'Marathi',                'script' => 'Deva', 'native' => 'मराठी', 'regional' => 'in', 'country' => 'India'],
        'mai'           => ['name' => 'Maithili',               'script' => 'Tirh', 'native' => 'मैथिली', 'regional' => 'in', 'country' => 'India'],
        'sa'            => ['name' => 'Sanskrit',               'script' => 'Deva', 'native' => 'संस्कृतम्', 'regional' => 'in', 'country' => 'India'],
        'hi'            => ['name' => 'Hindi',                  'script' => 'Deva', 'native' => 'हिन्दी', 'regional' => 'in', 'country' => 'India'],
        'as'            => ['name' => 'Assamese',               'script' => 'Beng', 'native' => 'অসমীয়া', 'regional' => 'in', 'country' => 'India'],
        'bn'            => ['name' => 'Bengali',                'script' => 'Beng', 'native' => 'বাংলা', 'regional' => 'bd', 'country' => 'Bangladesh'],
        'mni'           => ['name' => 'Manipuri',               'script' => 'Beng', 'native' => 'মৈতৈ', 'regional' => 'in', 'country' => 'India'],
        'pa'            => ['name' => 'Punjabi (Gurmukhi)',     'script' => 'Guru', 'native' => 'ਪੰਜਾਬੀ', 'regional' => 'in', 'country' => 'India'],
        'gu'            => ['name' => 'Gujarati',               'script' => 'Gujr', 'native' => 'ગુજરાતી', 'regional' => 'in', 'country' => 'India'],
        'or'            => ['name' => 'Oriya',                  'script' => 'Orya', 'native' => 'ଓଡ଼ିଆ', 'regional' => 'in', 'country' => 'India'],
        'ta'            => ['name' => 'Tamil',                  'script' => 'Taml', 'native' => 'தமிழ்', 'regional' => 'in', 'country' => 'India'],
        'te'            => ['name' => 'Telugu',                 'script' => 'Telu', 'native' => 'తెలుగు', 'regional' => 'in', 'country' => 'India'],
        'kn'            => ['name' => 'Kannada',                'script' => 'Knda', 'native' => 'ಕನ್ನಡ', 'regional' => 'in', 'country' => 'India'],
        'ml'            => ['name' => 'Malayalam',              'script' => 'Mlym', 'native' => 'മലയാളം', 'regional' => 'in', 'country' => 'India'],
        'si'            => ['name' => 'Sinhala',                'script' => 'Sinh', 'native' => 'සිංහල', 'regional' => 'lk', 'country' => 'Sri Lanka'],
        'th'            => ['name' => 'Thai',                   'script' => 'Thai', 'native' => 'ไทย', 'regional' => 'th', 'country' => 'Thailand'],
        'lo'            => ['name' => 'Lao',                    'script' => 'Laoo', 'native' => 'ລາວ', 'regional' => 'la', 'country' => 'Laos'],
        'bo'            => ['name' => 'Tibetan',                'script' => 'Tibt', 'native' => 'པོད་སྐད་', 'regional' => 'in', 'country' => 'India'],
        'dz'            => ['name' => 'Dzongkha',               'script' => 'Tibt', 'native' => 'རྫོང་ཁ', 'regional' => 'bt', 'country' => 'Bhutan'],
        'my'            => ['name' => 'Burmese',                'script' => 'Mymr', 'native' => 'မြန်မာဘာသာ', 'regional' => 'mm', 'country' => 'Myanmar'],
        'ka'            => ['name' => 'Georgian',               'script' => 'Geor', 'native' => 'ქართული', 'regional' => 'ge', 'country' => 'Georgia'],
        'byn'           => ['name' => 'Blin',                   'script' => 'Ethi', 'native' => 'ብሊን', 'regional' => 'er', 'country' => 'Eritrea'],
        'tig'           => ['name' => 'Tigre',                  'script' => 'Ethi', 'native' => 'ትግረ', 'regional' => 'er', 'country' => 'Eritrea'],
        'ti'            => ['name' => 'Tigrinya',               'script' => 'Ethi', 'native' => 'ትግርኛ', 'regional' => 'et', 'country' => 'Ethiopia'],
        'am'            => ['name' => 'Amharic',                'script' => 'Ethi', 'native' => 'አማርኛ', 'regional' => 'et', 'country' => 'Ethiopia'],
        'wal'           => ['name' => 'Wolaytta',               'script' => 'Ethi', 'native' => 'ወላይታቱ', 'regional' => 'et', 'country' => 'Ethiopia'],
        'iu'            => ['name' => 'Inuktitut (Canadian Aboriginal Syllabics)', 'script' => 'Cans', 'native' => 'ᐃᓄᒃᑎᑐᑦ', 'regional' => 'ca', 'country' => 'Canada'],
        'km'            => ['name' => 'Khmer',                  'script' => 'Khmr', 'native' => 'ភាសាខ្មែរ', 'regional' => 'kh', 'country' => 'Cambodia'],
        'mn-Mong'       => ['name' => 'Mongolian (Mongolian)',  'script' => 'Mong', 'native' => 'ᠮᠣᠨᠭᠭᠣᠯ ᠬᠡᠯᠡ', 'regional' => 'mn', 'country' => 'Mongolia'],
        'yue'           => ['name' => 'Yue',                    'script' => 'Hant', 'native' => '廣州話', 'regional' => 'hk', 'country' => 'Hong Kong'],
        'ja'            => ['name' => 'Japanese',               'script' => 'Jpan', 'native' => '日本語', 'regional' => 'jp', 'country' => 'Japan'],
        'zh'            => ['name' => 'Chinese (Simplified)',   'script' => 'Hans', 'native' => '简体中文', 'regional' => 'cn', 'country' => 'China'],
        'zh-Hant'       => ['name' => 'Chinese (Traditional)',  'script' => 'Hant', 'native' => '繁體中文', 'regional' => 'cn', 'country' => 'Taiwan'],
        'ko'            => ['name' => 'Korean',                 'script' => 'Hang', 'native' => '한국어', 'regional' => 'kr', 'country' => 'South Korea'],
    ],

    // Requires middleware `LaravelSessionRedirect.php`.
    //
    // Automatically determine locale from browser (https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language)
    // on first call if it's not defined in the URL. Redirect user to computed localized url.
    // For example, if users browser language is `de`, and `de` is active in the array `supportedLocales`,
    // the `/about` would be redirected to `/de/about`.
    //
    // The locale will be stored in session and only be computed from browser
    // again if the session expires.
    //
    // If false, system will take app.php locale attribute
    'useAcceptLanguageHeader' => true,

    // If `hideDefaultLocaleInURL` is true, then a url without locale
    // is identical with the same url with default locale.
    // For example, if `en` is default locale, then `/en/about` and `/about`
    // would be identical.
    //
    // If in addition the middleware `LaravelLocalizationRedirectFilter` is active, then
    // every url with default locale is redirected to url without locale.
    // For example, `/en/about` would be redirected to `/about`.
    // It is recommended to use `hideDefaultLocaleInURL` only in
    // combination with the middleware `LaravelLocalizationRedirectFilter`
    // to avoid duplicate content (SEO).
    //
    // If `useAcceptLanguageHeader` is true, then the first time
    // the locale will be determined from browser and redirect to that language.
    // After that, `hideDefaultLocaleInURL` behaves as usual.
    'hideDefaultLocaleInURL' => false,

    // If you want to display the locales in particular order in the language selector you should write the order here.
    //CAUTION: Please consider using the appropriate locale code otherwise it will not work
    //Example: 'localesOrder' => ['es','en'],
    'localesOrder' => [],

    // If you want to use custom language URL segments like 'at' instead of 'de-AT', you can map them to allow the
    // LanguageNegotiator to assign the desired locales based on HTTP Accept Language Header. For example, if you want
    // to use 'at' instead of 'de-AT', you would map 'de-AT' to 'at' (ie. ['de-AT' => 'at']).
    'localesMapping' => [],

    // Locale suffix for LC_TIME and LC_MONETARY
    // Defaults to most common ".UTF-8". Set to blank on Windows systems, change to ".utf8" on CentOS and similar.
    'utf8suffix' => env('LARAVELLOCALIZATION_UTF8SUFFIX', '.UTF-8'),

    // URLs which should not be processed, e.g. '/nova', '/nova/*', '/nova-api/*' or specific application URLs
    // Defaults to []
    'urlsIgnored' => ['/skipped'],

    'httpMethodsIgnored' => ['POST', 'PUT', 'PATCH', 'DELETE'],
];
