<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('games', function (Blueprint $table) {
            $table->id();  // This is an unsignedBigInteger by default.
            $table->unsignedBigInteger('category_id');
            $table->string('name');
            $table->text('description');
            $table->string('image');
            $table->string('banner')->nullable();
            $table->string('slug');
            $table->string('game_url');
            $table->integer('views')->default(0);
            $table->integer('plays')->default(0);
            $table->integer('status')->default(1);
            $table->integer('featured')->default(0);
            $table->decimal('average_rating', 2, 1)->default(0.0);
            $table->integer('number_of_reviews')->default(0);
            $table->string('tags')->nullable();
            $table->timestamp('published_at')->nullable();
            $table->string('developer_name')->nullable();
            $table->string('developer_url')->nullable();
            $table->string('meta_title')->nullable();
            $table->text('meta_description')->nullable();
            $table->timestamps();
        });


    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('games');
    }
};
