document.addEventListener("DOMContentLoaded", function() {
    const categories = document.querySelectorAll("#categories li");
    const gameCards = document.querySelectorAll(".game-card");

    categories.forEach(category => {
        category.addEventListener("click", () => {
            categories.forEach(cat => cat.classList.remove("active"));
            category.classList.add("active");

            const selectedCategory = category.getAttribute("data-category");
            gameCards.forEach(card => {
                card.style.display = selectedCategory === "all" || card.getAttribute("data-category") === selectedCategory
                    ? "block"
                    : "none";
            });
        });
    });
});



const swipeMenu = document.querySelector('.swipe-menu');
let startX, scrollLeft;

swipeMenu.addEventListener('mousedown', (e) => {
    startX = e.pageX - swipeMenu.offsetLeft;
    scrollLeft = swipeMenu.scrollLeft;
    swipeMenu.classList.add('active');
});

swipeMenu.addEventListener('mouseleave', () => {
    swipeMenu.classList.remove('active');
});

swipeMenu.addEventListener('mouseup', () => {
    swipeMenu.classList.remove('active');
});

swipeMenu.addEventListener('mousemove', (e) => {
    if (!swipeMenu.classList.contains('active')) return; // Exit if not dragging
    e.preventDefault();
    const x = e.pageX - swipeMenu.offsetLeft;
    const walk = (x - startX) * 2; // Scroll-fast
    swipeMenu.scrollLeft = scrollLeft - walk;
});

// Touch functionality for mobile devices
swipeMenu.addEventListener('touchstart', (e) => {
    startX = e.touches[0].clientX;
    scrollLeft = swipeMenu.scrollLeft;
});

swipeMenu.addEventListener('touchmove', (e) => {
    const moveX = e.touches[0].clientX;
    const diffX = startX - moveX;

    swipeMenu.scrollLeft = scrollLeft + diffX; // Scroll based on touch movement
});


// JavaScript to toggle the drawer
document.addEventListener('DOMContentLoaded', () => {
    const drawerToggle = document.getElementById('drawer-toggle');
    const drawer = document.getElementById('drawer');
    const closeDrawer = document.getElementById('close-drawer');

    drawerToggle.addEventListener('click', () => {
        drawer.classList.toggle('open');
    });

    closeDrawer.addEventListener('click', () => {
        drawer.classList.remove('open');
    });
});


function toggleSearch() {
    const searchBox = document.getElementById('searchBox');
    searchBox.style.display = searchBox.style.display === 'flex' ? 'none' : 'flex';
}


function openThemeModal() {
    document.getElementById('themeModal').style.display = 'flex';
}

function closeThemeModal() {
    document.getElementById('themeModal').style.display = 'none';
}

function setTheme(theme) {
    // Save the theme preference in localStorage or apply it directly here
    if (theme === 'light') {
        document.body.classList.remove('dark-mode');
        document.body.classList.add('light-mode');
    } else {
        document.body.classList.remove('light-mode');
        document.body.classList.add('dark-mode');
    }
    closeThemeModal();
}

function toggleCommentSection() {
    var commentSection = document.getElementById('comment-section');
    commentSection.style.display = (commentSection.style.display === 'none') ? 'block' : 'none';
}
function toggleSidebar() {
    document.getElementById('sidebarContainer').classList.toggle('open');
}
