
<!DOCTYPE html>
<html lang="en" >
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sign-Up/Sign-In </title>
    <link rel="stylesheet" href="{{asset('frontend/user-login/style.css')}}">

</head>
<body>
<!-- partial:index.partial.html -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" rel="stylesheet">
    <div class="auth-container">
        <div class="auth-sidebar">
            <div style="display:flex; flex-direction: column;">
                <div>
                    <h2>{{translate('Welcome Back!')}}</h2>
                    <p>{{translate('Access your account and manage your history, liked games etc. with our secure authentication system.')}}</p>
                </div>
                <!-- Custom Dropdown with Arrow Icon -->
                <div class="dropdown ms-1 m-1 mt-2 text-center" style="margin-top:10px;">
                    <button class="dropdown-toggle" id="userMenuDropdown">
                        <img src="{{ asset('frontend/flags/' . currentLanguage()['flag']) }}" width="30" height="30" class="rounded-circle ms-2">
                        {{ currentLanguage()['name'] }}
                        <i class="fas fa-chevron-down dropdown-arrow"></i> <!-- Added arrow icon here -->
                    </button>
                    <ul class="dropdown-menu" id="dropdownMenu">
                        @foreach($languages as $lang)
                            <li>
                                <a class="dropdown-item" href="{{ route('change.language', $lang->code) }}">
                                    <img src="{{ asset('frontend/flags/' . $lang->app_lang_code . '.svg') }}" width="20" height="20" class="me-2">
                                    {{ $lang->name }}
                                </a>
                            </li>
                        @endforeach
                    </ul>
                </div>
            </div>

            <div style="margin-top:20px;">
                <p>{{translate('Protected by advanced encryption and multi-factor authentication')}}.</p>
            </div>
        </div>

        <div class="auth-main">
            <form class="auth-form" method="POST" action="{{ route('register') }}">
                @csrf
                <div class="form-header">
                    <h1>{{translate('Sign In')}}</h1>
                    <p>{{translate('Continue with your preferred method')}}</p>
                </div>

                <div class="social-buttons">
                    @if($settings['google_login'] == 1)
                        <button type="button" class="social-button" onclick="location.href='{{ route('social.login', 'google') }}'">
                            <i class="fab fa-google"></i>
                        </button>
                    @endif
                    @if($settings['facebook_login'] == 1)
                        <button type="button" class="social-button" onclick="location.href='{{ route('social.login', 'facebook') }}'">
                            <i class="fab fa-facebook-f"></i>
                        </button>
                    @endif
                    @if($settings['twitter_login'] == 1)
                        <button type="button" class="social-button" onclick="location.href='{{ route('social.login', 'twitter') }}'">
                            <i class="fab fa-twitter"></i>
                        </button>
                    @endif

                </div>

                <div class="divider">or</div>

                <div class="form-group">
                    <i class="fas fa-user input-icon"></i>
                    <input type="text" name="name" class="form-control" id="name" placeholder="{{translate('Full Name')}}" required>
                </div>

                <div class="form-group">
                    <i class="fas fa-envelope input-icon"></i>
                    <input type="email" name="email" class="form-control" id="email" placeholder="{{translate('Email address')}}" required>
                </div>

                <div class="form-group">
                    <i class="fas fa-lock input-icon"></i>
                    <input type="password" class="form-control" name="password" id="password" placeholder="{{translate('Password')}}" required>
                    <i class="far fa-eye password-toggle" id="passwordToggle"></i>
                </div>

                <div class="form-group">
                    <i class="fas fa-lock input-icon"></i>
                    <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" placeholder="{{translate('Password')}}" required>
                    <i class="far fa-eye password-toggle" id="passwordToggle"></i>
                </div>

                <button type="submit" class="submit-btn">
                    <span>{{translate('Sign In')}}</span>
                    <div class="loader">
                        <i class="fas fa-spinner fa-spin"></i>
                    </div>
                </button>

                <div class="error-message" id="errorMessage"></div>
                <div class="success-message" id="successMessage"></div>

                <div class="terms">
                    {{translate('By continuing, you agree to our')}} <a href="{{url('privacy-policy')}}">{{translate('Terms of Service')}}</a> {{translate('and')}} <a href="{{url('privacy-policy')}}">{{translate('Privacy Policy')}}</a>
                </div>

                <div class="switch-form">
                    {{translate('Already have an account?')}} <a href="{{route('user.login')}}">{{translate('Sign In')}}</a>
                </div>
            </form>
        </div>
    </div>
<!-- partial -->
  <script  src="{{asset('frontend/user-login/script.js')}}"></script>

</body>
</html>
