@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Add Advertisement</h1>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <!-- Info boxes -->
      <div class="row">
        <!-- left column -->
        <div class="col-md-12 mx-auto"> <!-- Center the form and make it responsive -->
          <!-- general form elements -->
          <div class="card card-primary">
            <form action="{{ route('admin.advertisements.store') }}" method="POST" enctype="multipart/form-data">
                @csrf

                <div class="card-body">
                    <!-- Title -->
                    <div class="form-group">
                        <label for="title">Ad Title</label>
                        <input type="text" name="title" class="form-control" required>
                    </div>

                    <!-- Ad Type -->
                    <div class="form-group">
                        <label for="type">Ad Type</label>
                        <select name="type" class="form-control" id="adType">
                            <option value="adsense">AdSense</option>
                            <option value="custom">Custom</option>
                        </select>
                    </div>

                    <!-- AdSense Ad Code -->
                    <div id="adsenseFields" class="form-group">
                        <label for="adsense_code">AdSense Code</label>
                        <textarea name="adsense_code" class="form-control"></textarea>
                    </div>

                    <!-- Custom Ad Fields -->
                    <div id="customAdFields" style="display: none;">
                        <div class="form-group">
                            <label for="custom_image">Custom Ad Image</label>
                            <input type="file" name="custom_image" class="form-control-file">
                        </div>
                        <div class="form-group">
                            <label for="custom_link">Custom Ad Link</label>
                            <input type="text" name="custom_link" class="form-control">
                        </div>
                        <div class="form-group">
                            <label for="custom_html">Custom HTML</label>
                            <textarea name="custom_html" class="form-control"></textarea>
                        </div>
                    </div>

                    <!-- Ad position -->
                    <div class="form-group">
                        <label for="type">Ad Position</label>
                        <select class="form-control" id="adPosition" name="position">
                            <option value="game_page">Game Page</option>
                            <option value="detail_page_top">Details Page Top</option>
                            <option value="detail_page_bottom">Details Page Bottom</option>
                            <option value="sidebar">Sidebar</option>
                            <option value="blog_post">Blog Post</option>
                            <option value="pages">Pages</option>
                        </select>
                    </div>

                    <!-- Start Date and End Date -->
                    <div class="form-group">
                        <label for="start_date">Start Date</label>
                        <input type="date" name="start_date" class="form-control">
                    </div>
                    <div class="form-group">
                        <label for="end_date">End Date</label>
                        <input type="date" name="end_date" class="form-control">
                    </div>

                    <div class="text-right">
                        <button type="submit" class="btn btn-primary">Create Advertisement</button>
                    </div>
                </div>
            </form>


          </div>
          <!-- /.card -->
        </div>
      </div>
      <!-- /.row -->
    </div><!--/. container-fluid -->
  </section>

  <script>
    // Toggle between AdSense and Custom Ad fields based on the type selection
    document.getElementById('adType').addEventListener('change', function () {
        let type = this.value;
        document.getElementById('adsenseFields').style.display = type === 'adsense' ? 'block' : 'none';
        document.getElementById('customAdFields').style.display = type === 'custom' ? 'block' : 'none';
    });
</script>

@endsection
