@extends('backend.layout')

@section('content')


<!-- Bootstrap Switch CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/css/bootstrap3/bootstrap-switch.min.css" rel="stylesheet">

<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Menus</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right ml-1">
                <a href="{{ route('admin.menus.create') }}" class="btn btn-primary"><i class="fa fa-plus"></i> Add New</a>
            </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th class="text-right">Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($menus as $menu)
                                    <tr>
                                        <td>{{ $menu->name }}</td>
                                        <td class="text-right">
                                            <!-- Edit Button -->
                                            <a href="{{ route('admin.menus.edit', $menu->id) }}" class="btn btn-success"><i class="fa fa-edit"></i></a>

                                            <!-- Delete Form -->
                                            <form action="{{ route('admin.menus.destroy', $menu->id) }}" method="POST" style="display:inline-block;">
                                                @csrf
                                                <!-- Since the route is using POST, we don't need @method('DELETE') -->
                                                <button type="submit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                            </form>

                                            <!-- Link to Create Menu Item -->
                                            <a href="{{ route('admin.menus.createItem', $menu->id) }}" class="btn btn-primary"><i class="fa fa-list"></i> Add Menu Item</a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection
