@extends('backend.layout')
@section('content')
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">New Dynamic Popup</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">

        <form action="{{ route('update.popup') }}" method="POST" enctype="multipart/form-data">
            @csrf

            <input type="hidden" name="id" id="id" value="{{$dynamicPopup->id}}">

            <div class="row">
                <!-- left column -->
                <div class="col-md-8">
                    <!-- general form elements -->
                    <div class="card card-primary">
                        <div class="card-body">
                            <!-- Game Name field -->
                            <div class="form-group">
                                <label for="title">Title</label>
                                <input type="text" class="form-control" id="title" name="title" value="{{ $dynamicPopup->title }}" placeholder="Type your title here" required>
                            </div>

                            <!-- Description field with professional custom text editor -->
                            <div class="form-group">
                                <label for="summary">Summary</label>

                                <!-- Text editor toolbar with icons -->
                                <div class="toolbar">
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('bold')" title="Bold"><i class="fas fa-bold"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('italic')" title="Italic"><i class="fas fa-italic"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('underline')" title="Underline"><i class="fas fa-underline"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('strikethrough')" title="Strikethrough"><i class="fas fa-strikethrough"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertUnorderedList')" title="Bullet List"><i class="fas fa-list-ul"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertOrderedList')" title="Numbered List"><i class="fas fa-list-ol"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyLeft')" title="Align Left"><i class="fas fa-align-left"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyCenter')" title="Align Center"><i class="fas fa-align-center"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyRight')" title="Align Right"><i class="fas fa-align-right"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('justifyFull')" title="Justify"><i class="fas fa-align-justify"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('createLink', prompt('Enter URL', 'http://'))" title="Insert Link"><i class="fas fa-link"></i></button>
                                        <button type="button" class="btn btn-light" onclick="execCmd('unlink')" title="Remove Link"><i class="fas fa-unlink"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-light" onclick="execCmd('insertImage', prompt('Enter Image URL', 'http://'))" title="Insert Image"><i class="fas fa-image"></i></button>
                                    </div>
                                    <div class="btn-group">
                                        <select class="form-select btn-light" onchange="execCmd('fontSize', this.value)" title="Font Size">
                                            <option value="3" selected>Font Size</option>
                                            <option value="1">Small</option>
                                            <option value="2">Medium</option>
                                            <option value="4">Large</option>
                                            <option value="5">X-Large</option>
                                            <option value="6">XX-Large</option>
                                            <option value="7">XXX-Large</option>
                                        </select>
                                    </div>
                                </div>

                                <!-- Contenteditable div for the editor content -->
                                <div id="editor" contenteditable="true" class="custom-editor">{{ $dynamicPopup->summary }}</div>

                                <!-- Hidden textarea to store the editor's content -->
                                <textarea id="summary" name="summary" style="display:none;"></textarea>
                            </div>

                            <div class="form-group">
                                <label for="image">Image</label>
                                <div id="image-drop-area" class="drop-area">
                                    <p>Drag & drop an image here or click to select a file</p>
                                    <img id="image-preview" src="{{asset('images/dynamic-popups/'.$dynamicPopup->image)}}" alt="Image Preview" style="max-width: 100%; height: auto; margin-top: 10px;">
                                    <input type="file" class="form-control-file" id="image" name="image" accept="image/*" hidden>
                                </div>
                            </div>

                            <!-- Button Text and Background -->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="btn_text">Button Text</label>
                                        <input type="text" class="form-control" id="btn_text" name="btn_text" value="{{$dynamicPopup->btn_text}}" placeholder="Enter Button Text">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="button_color">Button Color</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control" id="button_color_text" name="button_color_text" value="{{$dynamicPopup->btn_background_color}}" placeholder="Enter Button Color" oninput="updateColorPicker()" maxlength="7">
                                            <input class="form-control" type="color" id="button_color_picker" name="button_color_picker" value="{{$dynamicPopup->btn_background_color}}" style="border-radius: 0 0.25rem 0.25rem 0;" onchange="updateColorText()">
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="btn_text_color">Button Text Color</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control" id="btn_text_color" name="btn_text_color" value="{{$dynamicPopup->btn_text_color}}" placeholder="Enter Button Color" oninput="updatebtntextcolor()" maxlength="7">
                                            <input class="form-control" type="color" id="btn_text_color_picker" name="btn_text_color_picker" value="{{$dynamicPopup->btn_text_color}}" style="border-radius: 0 0.25rem 0.25rem 0;" onchange="updatebtnpickercolor()">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label for="show_subscribe_form">Show Subscriber Form</label>
                                        <select class="form-control form-select" name="show_subscribe_form" id="show_subscribe_form">
                                            <option value="1" @if ($dynamicPopup->show_subscribe_form == 1) selected @endif>Yes</option>
                                            <option value="0" @if ($dynamicPopup->show_subscribe_form == 0) selected @endif>No</option>
                                        </select>
                                    </div>
                                </div>

                            </div>

                            <div class="form-group">
                                <label for="btn_link">Link</label>
                                <input type="text" class="form-control" id="btn_link" name="btn_link" value="{{$dynamicPopup->btn_link}}" placeholder="Paste your link here" required>
                            </div>


                            <div class="text-right">
                                <button type="submit" class="btn btn-primary" onclick="submitForm()">Submit</button>
                            </div>

                        </div>

                    </div>
                    <!-- /.card -->
                </div>

                <div class="col-md-4">
                    <!-- general form elements -->
                    <div class="card card-primary">
                        <div class="card-body">
                            <!-- Tags field -->
                            <div class="h-100 rounded-3 pverflow-hideen">
                                <img class="h-100 w-100" src="{{asset('backend/popup_design.jpg')}}">
                            </div>

                        </div>
                    </div>
                    <!-- /.card -->
                </div>

            </div>
        </form>

    </div><!--/. container-fluid -->
</section>

<!-- Editor and general styling -->
<style>
    .custom-editor {
        border: 1px solid #ddd;
        min-height: 200px;
        padding: 10px;
        background-color: #777676;
        margin-bottom: 15px;
        font-size: 16px;
        overflow-y: auto;
    }

    .toolbar {
        margin-bottom: 10px;
    }

    .toolbar .btn-group {
        margin-right: 5px;
    }

    .toolbar .btn-light {
        border: 1px solid #ccc;
        border-radius: 4px;
        padding: 6px 10px;
    }

    .toolbar .form-select {
        padding: 6px;
        border-radius: 4px;
        border: 1px solid #ccc;
        height: auto;
    }

    .drop-area {
        border: 2px dashed #ccc;
        padding: 20px;
        text-align: center;
        cursor: pointer;
        transition: border-color 0.3s ease;
    }

    .drop-area.drag-over {
        border-color: #007bff;
    }

    .drop-area p {
        margin: 0;
        font-size: 16px;
    }
    .input-group input:invalid {
        border-color: red;
    }
</style>

<script>
    function updateColorPicker() {
        const colorText = document.getElementById('button_color_text').value;
        const colorPicker = document.getElementById('button_color_picker');

        // Validate and set the color
        if(/^#([0-9A-F]{3}|[0-9A-F]{6})$/i.test(colorText)) {
            colorPicker.value = colorText; // Update the color picker
        }
    }

    function updateColorText() {
        const colorPicker = document.getElementById('button_color_picker');
        const colorText = document.getElementById('button_color_text');

        colorText.value = colorPicker.value; // Update the text box with the color picker value
    }

    function updatebtnpickercolor() {
        const textcolorText = document.getElementById('btn_text_color').value;
        const textcolorPicker = document.getElementById('btn_text_color_picker');

        if(/^#([0-9A-F]{3}|[0-9A-F]{6})$/i.test(textcolorText)) {
            textcolorPicker.value = textcolorText; // Update the color picker
        }
    }

    function updatebtntextcolor() {
        const textcolorPicker = document.getElementById('btn_text_color_picker');
        const textcolorText = document.getElementById('btn_text_color');

        textcolorText.value = textcolorPicker.value; // Update the text box with the color picker value
    }
</script>


<script>
    // Execute command on the contenteditable area
    function execCmd(command, value = null) {
        document.execCommand(command, false, value);
    }

    // Sync content from the contenteditable div to the textarea before form submission
    function submitForm() {
        var editorContent = document.getElementById('editor').innerHTML;
        document.getElementById('summary').value = editorContent;
    }

    document.addEventListener('DOMContentLoaded', function () {
        function initDragAndDrop(dropAreaId, inputId, previewId) {
            let dropArea = document.getElementById(dropAreaId);
            let input = document.getElementById(inputId);
            let preview = document.getElementById(previewId);

            dropArea.addEventListener('dragover', (event) => {
                event.preventDefault();
                dropArea.classList.add('drag-over');
            });

            dropArea.addEventListener('dragleave', () => {
                dropArea.classList.remove('drag-over');
            });

            dropArea.addEventListener('drop', (event) => {
                event.preventDefault();
                dropArea.classList.remove('drag-over');
                input.files = event.dataTransfer.files;

                if (input.files.length > 0) {
                    const file = input.files[0];
                    const reader = new FileReader();

                    reader.onload = function(e) {
                        preview.src = e.target.result;
                        preview.style.display = 'block';
                    };

                    reader.readAsDataURL(file);
                }
            });

            dropArea.addEventListener('click', () => {
                input.click();
            });

            input.addEventListener('change', () => {
                if (input.files.length > 0) {
                    const file = input.files[0];
                    const reader = new FileReader();

                    reader.onload = function(e) {
                        preview.src = e.target.result;
                        preview.style.display = 'block';
                    };

                    reader.readAsDataURL(file);
                }
            });
        }

        initDragAndDrop('image-drop-area', 'image', 'image-preview');
    });
</script>

@endsection
