@extends('backend.layout')

@section('content')


<!-- Bootstrap Switch CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/css/bootstrap3/bootstrap-switch.min.css" rel="stylesheet">

<div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1 class="m-0">Dynamic Popups</h1>
        </div><!-- /.col -->
        <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right ml-1">
                <a href="{{ route('add.popup') }}" class="btn btn-primary"><i class="fa fa-plus"></i> Add New</a>
            </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
  <!-- /.content-header -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th> Image </th>
                                    <th> Title </th>
                                    <th> Link </th>
                                    <th> Status </th>
                                    <th class="text-right"> Action </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($dynamicPopups as $popup)
                                    <tr>
                                        <td>
                                            <img src="{{asset('images/dynamic-popups/'.$popup->image)}}" width="50">
                                        </td>
                                        <td> {{ $popup->title }} </td>
                                        <td> {{ $popup->btn_link }} </td>
                                        <td>
                                            <input type="checkbox" class="status-switch" data-id="{{ $popup->id }}" {{ $popup->status === 1 ? 'checked' : '' }} data-bootstrap-switch data-off-color="danger" data-on-color="success">

                                        </td>
                                        <td class="text-right">
                                            <a href="{{route('edit.popup', $popup->id)}}" class="btn btn-success"><i class="fa fa-edit"></i></a>

                                            <a href="{{ route('delete.popup', $popup->id) }}" class="btn btn-danger delete">
                                                <i class="fa fa-trash"></i>
                                            </a>

                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- jQuery (if not already included) -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Bootstrap Switch JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/js/bootstrap-switch.min.js"></script>

<script>
    $(document).ready(function() {
        $("input[data-bootstrap-switch]").each(function(){
            $(this).bootstrapSwitch();
        });

        // Handle the switch change event
        $('.status-switch').on('switchChange.bootstrapSwitch', function (event, state) {
            let categoryId = $(this).data('id');
            let status = state ? '1' : '0';

            $.ajax({
                url: '{{ route("admin.popups.updateStatus") }}',
                type: 'POST',
                data: {
                    _token: '{{ csrf_token() }}',
                    id: categoryId,
                    status: status
                },
                success: function(response) {
                    if(response.success) {
                        toastr.success('Status updated successfully!');
                    } else {
                        toastr.error('You are can not perform this action in demo mode.');
                    }
                },
                error: function(xhr) {
                    toastr.error('An error occurred. Please try again.');
                }
            });
        });
    });
</script>
@endsection
