
@extends('frontend.layout')
@section('content')

@php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->value('value');
@endphp
 @if ($theme == 'playverse')

 <!-- Hero Section -->
 <div id="featuredCarousel" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-indicators">
        @foreach ($featuredGames as $index => $featured)
            <button type="button" data-bs-target="#featuredCarousel" data-bs-slide-to="{{ $index }}"
                    class="{{ $index === 0 ? 'active' : '' }}"
                    aria-current="{{ $index === 0 ? 'true' : 'false' }}"
                    aria-label="{{ $featured->name }}">
            </button>
        @endforeach
    </div>
    <div class="carousel-inner">
        @foreach ($featuredGames as $index => $featured)
            <div class="carousel-item {{ $index === 0 ? 'active' : '' }}">
                <img src="{{ asset('images/games/banner/' . $featured->banner) }}"
                     class="d-block w-100 carousel-image"
                     alt="{{ $featured->name }}">
                <div class="carousel-caption d-none d-md-block">
                    <h5>{{ $featured->name }}</h5>
                    <p>{{ $featured->description }}</p>
                    <a href="{{route('game', $featured->slug)}}" class="btn btn-primary">{{translate('Play Now')}}</a>
                </div>
            </div>
        @endforeach
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#featuredCarousel" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">{{translate('Previous')}}</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#featuredCarousel" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">{{translate('Next')}}</span>
    </button>
</div>


<!-- Categories Section -->
<div class="container-fluide my-3 px-0">

    <h2>{{translate('Categories')}}</h2>

    <hr class="hr-eight">
    <div class="slick-slider">
        @foreach ($categories as $category)
            <div class="slider-item">
                <div class="card text-center" style="background-color: transparent; border: none;">
                    <a style="text-decoration: none;" href="{{route('category', $category->slug)}}">
                        <img src="{{asset('images/categories/'.$category->image)}}" class="card-img-top rounded-circle mx-auto mt-3 cat-img" alt="Action" style="">
                        <div class="card-body">
                            <h5 class="card-title text-truncate" style="text-transform: capitalize;">{{$category->name}}</h5>
                        </div>
                    </a>
                </div>
            </div>
        @endforeach


        <!-- Repeat the above block for each category -->
    </div>
</div>



<!-- Top Games Section -->
<div class="container-fluid my-3">
    <div class="row">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <a href="{{route('top.games')}}" style="text-decoration: none;">
                <h2 class="m-0 text-center text-md-start w-100 w-md-auto">{{translate('Top Games')}}</h2>
            </a>
            <h5 class="d-none d-md-block m-0" style="white-space: nowrap;">
                <a href="{{route('top.games')}}" style="text-decoration: none;" class="text-white">{{translate('View All')}}</a>
            </h5>
        </div>
        <hr class="mb-4 mt-4">
    </div>


    <div class="row">
        @foreach ($topGames as $game)
            <div class="col-6 col-md-2 mt-1" style="cursor: pointer" onclick="location.href='{{ route('game', $game->slug) }}'">
                <div class="card">
                    <img src="{{ asset('images/games/icons/' . $game->image) }}" class="card-img-top game-image" alt="{{ $game->name }}">
                    <div class="card-body">
                        <h5 class="card-title text-truncate">{{ $game->name }}</h5>
                        <a href="{{ route('game', $game->slug) }}" class="btn btn-primary">{{ translate('Play Now') }}</a>
                    </div>
                </div>
            </div>
        @endforeach
        <!-- Add more top games here -->
    </div>

</div>

@foreach ($homeCategories as $category)
    @php
        $categoryGames = App\Models\Game::where('category_id', $category->id)->where('status', 1)->orderBy('id', 'desc')->limit(18)->get();
    @endphp

    @if ($categoryGames->isNotEmpty())
        <div class="container-fluid my-3">
            <div class="row">
                <div class="col-12 d-flex justify-content-between align-items-center">
                    <a href="{{route('category', $category->slug)}}" style="text-decoration: none;">
                        <h2 class="m-0 text-center text-md-start w-100 w-md-auto">{{ $category->name }}</h2>
                    </a>
                    <h5 class="d-none d-md-block m-0" style="white-space: nowrap;">
                        <a href="{{route('category', $category->slug)}}" style="text-decoration: none;" class="text-white">{{translate('View All')}}</a>
                    </h5>
                </div>
                <hr class="mb-4 mt-4">
            </div>

            <div class="row">
                @foreach ($categoryGames as $game)
                    <div class="col-md-2 mt-1">
                        <div class="card">
                            <img src="{{ asset('images/games/icons/' . $game->image) }}" class="card-img-top game-image" alt="{{ $game->name }}">
                            <div class="card-body">
                                <h5 class="card-title text-truncate">{{ $game->name }}</h5>
                                <a href="{{ route('game', $game->slug) }}" class="btn btn-primary">{{translate('Play Now')}}</a>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    @endif
@endforeach
@elseif($theme == 'gamehive')

    <div class="container">

        <!-- Search Box -->
        <form action="{{ route('search') }}" method="GET">
            <div class="search-box" id="searchBox">
                <input type="text" name="search" placeholder="{{translate('Search games...')}}" aria-label="Search">
                <button type="submit">🔍</button>
            </div>
        </form>

        <div class="categories-section">
            <nav>
                <ul id="categories" class="categories-list">
                    <li data-category="all" class="active">
                        <img src="https://cdn-icons-png.freepik.com/256/10066/10066525.png" alt="All Games">
                        <span>{{translate('All Games')}}</span>
                    </li>
                    @foreach ($categories as $category)
                        <li data-category="{{$category->id}}" class="active">
                            <img src="{{asset('images/categories/'.$category->image)}}" alt="{{$category->name}}">
                            <span>{{$category->name}}</span>
                        </li>
                    @endforeach
                </ul>
            </nav>
        </div>



        <section id="game-list">

            @foreach ($allGames as $game)
                <div class="game-card position-relative" style="cursor: pointer;" onclick="location.href='{{ route('game', $game->slug) }}'" data-category="{{ $game->category_id }}">
                    <div class="game-thumbnail-wrapper">
                        <img src="{{ asset('images/games/icons/' . $game->image) }}" alt="Action Game" class="img-fluid">
                        <div class="game-name-overlay position-absolute w-100 bottom-0 text-center text-white py-2">
                            {{ $game->name }}
                        </div>
                    </div>
                    <h6 class="mt-2">{{ $game->name }}</h6>
                </div>
            @endforeach


            <!-- Add more games here -->
        </section>
    </div>

@elseif($theme == 'gamegalore')

<section class="container-fluid category-content" data-category-id=162>
    <article id=post-8518 class="post-8518 page type-page status-publish hentry">
        <!-- <header class="entry-header category-entry-header">
            <h1 class="entry-title category-headline">Html5 Games</h1></header> -->
        <div class=entry-content>
            <div id=first-content-below class=content-below-category>
                <div id=games-container class="row g-2 row-cols-3 row-cols-xs-4 row-cols-sm-5 row-cols-md-6 row-cols-lg-7 row-cols-l-8 row-cols-xl-9 row-cols-xxl-10 row-cols-xxxl-12">
                    @foreach($allGames as $games)
                        <div class="game-col col">
                            <div class="game-wrapper img-aspect-ratio-1x1 rounded-3 shadow image-popup game ">
                                <a href="{{route('game', $games->slug)}}">
                                    <img src={{asset('images/games/icons/'.$games->image)}} alt="Growing Fish" title="Growing Fish"
                                    alt="Growing Fish" class="rounded-3 img-fluid" loading=lazy>
                                    <div class=text>{{ $games->name }}</div>
                                </a>
                            </div>
                        </div>
                    @endforeach
                </div>

                <div class=mb-4>
                    <h2>{{translate('Categories')}}</h2>
                    <ul class="category-tags list-unstyled d-flex flex-wrap gutter">
                        @foreach($categories as $category)
                            <li class="rounded-3 bg-secondary height-48 ts-hover-scale-10 shadow" data-url="{{route('category', $category->slug)}}">
                                <a href="{{route('category', $category->slug)}}" class="d-table-cell align-middle height-48">
                                    <img src="{{asset('images/categories/'.$category->image)}}" loading=lazy class="height-48 rounded-3">
                                    <span class="text small px-2 px-sm-3">{{ $category->name }}</span>
                                </a>
                            </li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </div>
    </article>
</section>

@endif

@endsection
