@php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
@endphp

<link rel="manifest" href="/manifest.json">
<style>
    .slick-slide{
        height: 200px!important;
    }
    @media (max-width: 768px) {
        .slick-slide{
            height: 110px!important;
        }
    }
</style>
<script>
    if ('serviceWorker' in navigator) {
        navigator.serviceWorker.register('/sw.js')
            .then(() => console.log('Service Worker Registered'))
            .catch((error) => console.error('Service Worker Registration Failed:', error));
    }
</script>

@if ($theme == 'playverse')

@include('frontend.themes.playverse.layout')

@elseif($theme == 'gamehive')

@include('frontend.themes.gamehive.layout')

@elseif($theme == 'gamegalore')

@include('frontend.themes.gamegalore.layout')

@endif


<script>
    document.querySelectorAll('.theme-card').forEach(card => {
        card.addEventListener('click', function() {
            const selectedTheme = this.getAttribute('data-theme');

            fetch('{{route('set.theme')}}', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': '{{ csrf_token() }}' // Include CSRF token
                },
                body: JSON.stringify({ theme: selectedTheme })
            })
            .then(response => {
                if (!response.ok) {
                    throw new Error('Network response was not ok');
                }
                return response.json();
            })
            .then(data => {
                if (data.success) {
                    location.reload();
                } else {
                    alert('Failed to change theme');
                }
            })
            .catch(error => {
                console.error('Error:', error);
            });
        });
    });


</script>
