<!doctype html>
<html lang=en>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimal-ui">
    @if(Route::is('home') || Route::is('user.profile') || Route::is('user.history') || Route::is('user.liked') || Route::is('category'))
        <title>{{ old('website_name', $settings['website_name'] ?? '') }}</title>

        <link rel="icon" type="image/x-icon" href="{{asset('images/favicons/'.$settings['website_favicon'])}}">
        <meta name="description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
        <meta name="keywords" content="{{ old('website_tags', $settings['website_tags'] ?? '') }}">

        <!-- Meta Image for Social Sharing -->
        <meta property="og:title" content="{{ old('website_name', $settings['website_name'] ?? '') }}">
        <meta property="og:description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
        <meta property="og:image" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">
        <meta property="og:url" content="{{ url('/') }}">

        {!! $settings['google_analytics'] !!}

        <!-- Twitter Meta Tags -->
        <meta name="twitter:card" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">
        <meta name="twitter:title" content="{{ old('website_name', $settings['website_name'] ?? '') }}">
        <meta name="twitter:description" content="{{ old('website_description', $settings['website_description'] ?? '') }}">
        <meta name="twitter:image" content="{{asset('images/logos/' . $settings['website_logo'] ?? '')}}">

        <!-- Canonical URL (for SEO) -->
        <link rel="canonical" href="{{ url('/') }}">
    @else
        <title>{{$game->name ?? ''}} - {{ old('website_name', $settings['website_name'] ?? '') }}</title>
        <meta name="description" content="{{$game->meta_description ?? ''}}">
        <meta name="keywords" content="{{$game->tags ?? ''}}">

        <link rel="icon" type="image/x-icon" href="{{asset('images/favicons/'.$settings['website_favicon'] ?? '')}}">

        <!-- Meta Image for Social Sharing -->
        <meta property="og:title" content="{{$game->name ?? ''}} - HTML Games">
        <meta property="og:description" content="{{$game->meta_description ?? ''}}">
        <meta property="og:image" content="{{asset('images/games/banner/' . $game->banner ?? '')}}">
        <meta property="og:url" content="{{ url('game/' . $game->slug ?? '') }}">

        {!! $settings['google_analytics'] ?? '' !!}

        <!-- Twitter Meta Tags -->
        <meta name="twitter:card" content="{{asset('images/games/banner/' . $game->banner ?? '')}}">
        <meta name="twitter:title" content="{{$game->name ?? ''}} - HTML Games">
        <meta name="twitter:description" content="{{$game->meta_description ?? ''}}">
        <meta name="twitter:image" content="{{asset('images/games/icons/' . $game->image ?? '')}}">

        <!-- Canonical URL (for SEO) -->
        <link rel="canonical" href="{{ url('game/' . $game->slug ?? '') }}">
    @endif

    @if(Route::is('game.play') || Route::is('game'))
        <link rel=stylesheet href="{{asset('frontend/gamegalore/css/play.css')}}" media=all>
    @else
        <link rel=stylesheet href="{{asset('frontend/gamegalore/css/style.css')}}" media=all>
    @endif

    <style>
        /* Styles for the modal */
        .theme-modal {
            display: none; /* Hidden by default */
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
            z-index: 1000;
        }

        /* Styles for the modal content */
        .modal-content {
            position: relative;
            background-color: #fff;
            margin: 10% auto;
            padding: 20px;
            width: 60%;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }

        /* Styles for the close button */
        .close-btn {
            position: absolute;
            top: 10px;
            right: 15px;
            font-size: 24px;
            font-weight: bold;
            color: #333;
            cursor: pointer;
        }

        /* Hover effect for the close button */
        .close-btn:hover {
            color: #000;
        }

        .theme-title {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px;
        }

        /* Initial style for the checkmark (hidden) */
        .checkmark {
            display: none;
            color: green;
            font-size: 18px;
        }

        /* Show the checkmark when theme is selected */
        .theme-card.selected .checkmark {
            display: inline;
        }

    </style>

    <script src={{asset('frontend/gamegalore/js/script.js')}}></script>
    <script>
        var lang='us';
    </script>
    <script src={{asset('frontend/gamegalore/js/cookie.js')}}></script>
    <script src={{asset('frontend/gamegalore/js/control.js')}}></script>
    <script src={{asset('frontend/gamegalore/js/common.js')}}></script>
    <script src={{asset('frontend/gamegalore/js/custom.js')}}></script>
    <link rel="stylesheet" href="{{asset('frontend/css/setting.css')}}">
    <script>
        window.projectId='2';window.siteUrl='https://gameforge.com/en-US/littlegames';window.apiEndpoint='https://little-games.com';window.marketingCookiesHint='A click on the play button or the game icon loads third-party content. You agree to load this content with your click. You can change this setting or revoke your consent at any time. More information: <a href=\"https://gameforge.com/en-US/littlegames/privacy-policy/\">Privacy Policy</a>.';var translation={search_games:'Search games',enter_search_term:'Enter search term',no_search_results:'No search results',search_term_must_be:'Search term must be at least 2 characters long',not_available_mobile:'Not fit for mobile'};
    </script>
    <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-8040852442424496"
     crossorigin="anonymous"></script>
     <meta name="google-adsense-account" content="ca-pub-8040852442424496">
</head>

<body class="page-template page-template-page-game page-template-page-game-php page page-id-11428 wp-embed-responsive bg-dark picostrap_header_navbar_position_ picostrap_header_navbar_color_choice_">

    @include('frontend.themes.gamegalore.partials._header')


    @if(env('DEMO_MODE') == 'on')

        <!-- Floating Settings Button -->
        <div id="settingsButton" onclick="openThemeModal()">⚙️ {{translate('Themes')}}</div>

        <!-- Theme Modal -->
        <div id="themeModal" class="theme-modal">
            @php
                $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
            @endphp
            <div class="modal-content">
                <span class="close-btn" onclick="closeThemeModal()">&times;</span>
                <h4>{{translate('Choose Theme')}}</h4>
                <hr>
                <section id="game-list">
                    <div class="theme-card" data-theme="playverse" onclick="selectTheme(this)">
                        <img src="{{asset('themes/gameverse.jpg')}}" alt="PlayVerse">
                        <div class="theme-title">
                            <h6>PlayVerse</h6>
                            @if($theme == 'playverse')
                                <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                            @endif
                        </div>
                    </div>
                    <div class="theme-card" data-theme="gamehive" onclick="selectTheme(this)">
                        <img src="{{asset('themes/gamehive.jpg')}}" alt="GameHive">
                        <div class="theme-title">
                            <h6>GameHive</h6>
                            @if($theme == 'gamehive')
                                <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                            @endif
                        </div>
                    </div>
                    <div class="theme-card" data-theme="gamegalore" onclick="selectTheme(this)">
                        <img src="{{asset('themes/gamegalore.jpg')}}" alt="GameGalore">
                        <div class="theme-title">
                            <h6>GameGalore</h6>
                            @if($theme == 'gamegalore')
                                <svg height="30px" width="30px" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 512 512" xml:space="preserve" fill="#000000"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <polygon style="fill:#8add88;" points="226.4,283.284 134.616,192.636 74.096,259.316 233.48,416.708 512,73.084 444.792,13.812 "></polygon> <polygon style="fill:#578109;" points="274.04,149.996 274.04,109.996 0,109.996 0,498.188 345.88,498.188 345.88,409.204 305.88,409.204 305.88,458.188 40,458.188 40,149.996 "></polygon> </g></svg>
                            @endif
                        </div>
                    </div>
                </section>
            </div>
        </div>


    @endif

    <div class=content-section>
        <main id=main class="site-main pb-5" role=main>
            @yield('content')
        </main>
        @include('frontend.themes.gamegalore.partials._footer')
    </div>

    @include('frontend.themes.gamegalore.partials._footer-navbar')
    <script type="text/javascript" src="{{asset('frontend/js/bootstrap.bundle.min.js')}}"></script>
    <script defer src={{asset('frontend/gamegalore/js/footer.js')}}></script>

    <script>
        function openThemeModal() {
            document.getElementById('themeModal').style.display = 'flex';
        }

        function closeThemeModal() {
            document.getElementById('themeModal').style.display = 'none';
        }
    </script>


    <script>
        document.querySelectorAll('.theme-card').forEach(card => {
            card.addEventListener('click', function() {
                const selectedTheme = this.getAttribute('data-theme');

                fetch('{{route('set.theme')}}', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'X-CSRF-TOKEN': '{{ csrf_token() }}' // Include CSRF token
                    },
                    body: JSON.stringify({ theme: selectedTheme })
                })
                .then(response => {
                    if (!response.ok) {
                        throw new Error('Network response was not ok');
                    }
                    return response.json();
                })
                .then(data => {
                    if (data.success) {
                        location.reload();
                    } else {
                        alert('{{translate('Failed to change theme')}}');
                    }
                })
                .catch(error => {
                    console.error('Error:', error);
                });
            });
        });
    </script>

</body>

</html>
