@php
    // Fetch the main menu value from BusinessSettings
    $mainMenu = App\Models\BusinessSettings::where('key', 'main_menu')->first();
    if ($mainMenu && $mainMenu->value) {
        // Fetch the menu using the value from the main menu settings
        $selectedMenu = App\Models\Menus::where('id', $mainMenu->value)->first();
    }
    $menuItems = App\Models\MenuItems::where('menu_id', $selectedMenu->id)->orderBy('order', 'asc')->get();

    $loginEnabled = App\Models\BusinessSettings::where('key', 'header_login')->first()->value;
    $searchEnabled = App\Models\BusinessSettings::where('key', 'header_search')->first()->value;
    $logo = App\Models\BusinessSettings::where('key', 'website_logo')->first()->value;
    $languages = \App\Models\Languages::where('status', 1)->get();
@endphp

<style>
    .auth-buttons {
        display: flex;
        align-items: center;
        align-items: baseline;
    }

    .auth-buttons .btn {
        font-size: 14px;
        padding: 8px 16px;
        border: 1px solid #6BF8FF;
        color: #6BF8FF;
        background: transparent;
    }

    .dropdown-menu {
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 1000;
        background-color: #fff;
        border: 1px solid rgba(0, 0, 0, 0.15);
        border-radius: 0.25rem;
        padding: 0.5rem 0;
        min-width: 10rem;
    }

    .dropdown-item{
        color: #0b4447;
    }

    .dropdown-menu.show {
        display: block;
    }
</style>
<nav id="main-navbar" class="navbar navbar-expand fixed-top navbar-dark" aria-label="Main Navigation">
    <div class="container-fluid d-flex justify-content-between align-items-center ps-0">
        <div class="row flex-grow-1">
            <div class="navbar-brand col-12 col-md-12 col-lg-4 m-0">
                <a href="#nav" class="btn btn-primary icon-menu bg-transparent border-0" type="button">
                    <span class="navbar-toggler-icon"></span>
                </a>
                <div class="logo-details ms-2">
                    <a href="{{route('home')}}" class="logo-link">
                        <img src="{{ asset('images/logos/'.$logo) }}">
                    </a>
                </div>
            </div>
            @if ($searchEnabled == 1)
                <div class="header-search col-12 col-md-12 col-lg-4 m-0">
                    <form action="{{ route('search') }}" method="GET" type="submit">
                        <div class="input-group">
                            <input type="search" name="search" class="form-control rounded search-query me-2 d-none d-md-block" placeholder="Search games">
                            <svg role="submit" width=30px height=38px viewBox="0 0 27 29" version=1.1 xmlns=http://www.w3.org/2000/svg xmlns:xlink=http://www.w3.org/1999/xlink>
                                <g stroke=none stroke-width=1 fill=none fill-rule=evenodd>
                                    <g fill=#FFFFFF>
                                        <path d="M10.5,0 C4.73988627,0 0,4.96553985 0,10.9999643 C0,17.0343887 4.73981811,22 10.5,22 C16.2601137,22 21,17.0343887 21,10.9999643 C21,4.96553985 16.2600456,0 10.5,0 Z M10.5,1.91198169 C10.5,1.91198169 10.5,1.91198169 10.5,1.91198169 C15.3593718,1.91198169 19.3580118,6.01443061 19.3580118,10.9999643 C19.3580118,15.9854266 15.3593718,20.0878755 10.5,20.0878755 C10.5,20.0878755 10.5,20.0878755 10.5,20.0878755 C5.64062825,20.0878755 1.64198821,15.9854266 1.64198821,10.9999643 C1.64198821,6.01443061 5.64062825,1.91198169 10.5,1.91198169 Z"
                                        fill-rule=nonzero></path>
                                        <g transform="translate(20.536289, 23.030775) rotate(42.896698) translate(-20.536289, -23.030775) translate(14.036289, 21.530775)">
                                            <path d="M12.0573438,1.30465992 C12.0573438,0.605989964 11.5075305,0.0387799977 10.8302825,0.0387799977 L1.28786664,0.0387799977 C0.610687989,0.0387799977 0.0608746656,0.605989964 0.0608746656,1.30465992 C0.0608746656,2.00325988 0.610687989,2.57046985 1.28786664,2.57046985 L10.8302825,2.57046985 C11.5075305,2.57046985 12.0573438,2.00325988 12.0573438,1.30465992 Z"></path>
                                        </g>
                                    </g>
                                </g>
                            </svg>
                        </div>
                    </form>
                </div>
            @endif
        </div>

        <!-- Login/Register Buttons -->
        <div class="auth-buttons">
            @if ($loginEnabled == 1)
                @auth
                    <div class="dropdown ms-1 d-none d-md-block">
                        <button class="btn btn-secondary dropdown-toggle" type="button" id="userMenuDropdownButton" onclick="toggleDropdown()">
                            <img src="{{ Auth::user()->image ? asset('images/user/' . Auth::user()->image) : asset('images/default-avatar.avif') }}" width="30" height="30" class="rounded-circle ms-2">
                        </button>

                        <ul class="dropdown-menu" id="userMenuDropdown">
                            <li><a class="dropdown-item" href="{{ route('user.profile') }}"><i class="bi bi-user"></i>{{translate('Profile')}}</a></li>
                            <li><a class="dropdown-item" href="{{ route('user.liked') }}">{{translate('Liked Games')}}</a></li>
                            <li><a class="dropdown-item" href="{{ route('user.history') }}">{{translate('History')}}</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li>
                                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">{{translate('Logout')}}</a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                    @csrf
                                </form>
                            </li>
                        </ul>
                    </div>
                @endauth
                @guest
                    <a href="{{ route('user.login') }}" class="btn btn-outline-light me-2 d-none d-md-block">{{translate('Login')}}</a>
                @endguest
            @endif

            <div class="dropdown ms-1 d-none d-md-block">
                <button class="btn btn-secondary dropdown-toggle" type="button" id="languageMenuDropdownButton" onclick="togglelanguageDropdown()">
                    <img src="{{ asset('frontend/flags/' . currentLanguage()['flag']) }}" width="30" height="30" class="rounded-circle ms-2">
                    {{ currentLanguage()['name'] }}
                </button>

                <ul class="dropdown-menu" id="languageMenuDropdown">
                    @foreach($languages as $lang)
                        <li>
                            <a class="dropdown-item" href="{{ route('change.language', $lang->code) }}">
                                <img src="{{ asset('frontend/flags/' . $lang->app_lang_code . '.svg') }}" width="20" height="20" class="me-2">
                                {{ $lang->name }}
                            </a>
                        </li>
                    @endforeach
                </ul>
            </div>

        </div>

    </div>
</nav>
<script>
    function toggleDropdown() {
        var dropdown = document.getElementById("userMenuDropdown");
        dropdown.classList.toggle("show");
    }

    function togglelanguageDropdown() {
        var dropdown1 = document.getElementById("languageMenuDropdown");
        dropdown1.classList.toggle("show");
    }

    // Combined close function for both dropdowns
    window.onclick = function(event) {
        if (!event.target.matches('#userMenuDropdownButton')) {
            var userDropdown = document.getElementById("userMenuDropdown");
            if (userDropdown && userDropdown.classList.contains('show')) {
                userDropdown.classList.remove('show');
            }
        }

        if (!event.target.matches('#languageMenuDropdownButton')) {
            var languageDropdown = document.getElementById("languageMenuDropdown");
            if (languageDropdown && languageDropdown.classList.contains('show')) {
                languageDropdown.classList.remove('show');
            }
        }
    }
</script>


@include('frontend.themes.gamegalore.partials._sidebar')
