<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\APIController;
use App\Http\Controllers\DashboardController;
use App\Models\CountryVisit;

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:sanctum');

Route::get('/games', [APIController::class, 'index']);
Route::get('/games/featured', [APIController::class, 'featured']);
Route::get('/games/{id}', [APIController::class, 'show']);
Route::get('/games/search', [APIController::class, 'search']);
Route::get('/categories', [APIController::class, 'categories']);
Route::get('/categories/{id}', [APIController::class, 'categoryGames']);

Route::get('/api/country-data', function () {
    return CountryVisit::all();
});

// routes/api.php
Route::get('/map-data', [APIController::class, 'getMapData']);

Route::get('/track-visitor', [APIController::class, 'trackVisitor']);

Route::post('/store-location', function(Request $request) {
    $validated = $request->validate([
        'country_code' => 'required|string|max:3',
        'latitude' => 'required|numeric',
        'longitude' => 'required|numeric',
        'city' => 'nullable|string|max:255',
    ]);

    // Create a new record in the country_visits table
    $visit = new CountryVisit();
    $visit->country_code = $validated['country_code'];
    $visit->latitude = $validated['latitude'];
    $visit->longitude = $validated['longitude'];
    $visit->save();

    return response()->json(['success' => true, 'data' => $visit]);
});

