<?php $__env->startSection('content'); ?>

<?php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->value('value');
?>
 <?php if($theme == 'playverse'): ?>

 <!-- Hero Section -->
 <div id="featuredCarousel" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-indicators">
        <?php $__currentLoopData = $featuredGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $featured): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <button type="button" data-bs-target="#featuredCarousel" data-bs-slide-to="<?php echo e($index); ?>"
                    class="<?php echo e($index === 0 ? 'active' : ''); ?>"
                    aria-current="<?php echo e($index === 0 ? 'true' : 'false'); ?>"
                    aria-label="<?php echo e($featured->name); ?>">
            </button>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
    <div class="carousel-inner">
        <?php $__currentLoopData = $featuredGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $featured): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="carousel-item <?php echo e($index === 0 ? 'active' : ''); ?>">
                <img src="<?php echo e(asset('images/games/banner/' . $featured->banner)); ?>"
                     class="d-block w-100 carousel-image"
                     alt="<?php echo e($featured->name); ?>">
                <div class="carousel-caption d-none d-md-block">
                    <h5><?php echo e($featured->name); ?></h5>
                    <p><?php echo e($featured->description); ?></p>
                    <a href="<?php echo e(route('game', $featured->slug)); ?>" class="btn btn-primary"><?php echo e(translate('Play Now')); ?></a>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#featuredCarousel" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden"><?php echo e(translate('Previous')); ?></span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#featuredCarousel" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden"><?php echo e(translate('Next')); ?></span>
    </button>
</div>


<!-- Categories Section -->
<div class="container-fluide my-3 px-0">

    <h2><?php echo e(translate('Categories')); ?></h2>

    <hr class="hr-eight">
    <div class="slick-slider">
        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="slider-item">
                <div class="card text-center" style="background-color: transparent; border: none;">
                    <a style="text-decoration: none;" href="<?php echo e(route('category', $category->slug)); ?>">
                        <img src="<?php echo e(asset('images/categories/'.$category->image)); ?>" class="card-img-top rounded-circle mx-auto mt-3 cat-img" alt="Action" style="">
                        <div class="card-body">
                            <h5 class="card-title text-truncate" style="text-transform: capitalize;"><?php echo e($category->name); ?></h5>
                        </div>
                    </a>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


        <!-- Repeat the above block for each category -->
    </div>
</div>



<!-- Top Games Section -->
<div class="container-fluid my-3">
    <div class="row">
        <div class="col-12 d-flex justify-content-between align-items-center">
            <a href="<?php echo e(route('top.games')); ?>" style="text-decoration: none;">
                <h2 class="m-0 text-center text-md-start w-100 w-md-auto"><?php echo e(translate('Top Games')); ?></h2>
            </a>
            <h5 class="d-none d-md-block m-0" style="white-space: nowrap;">
                <a href="<?php echo e(route('top.games')); ?>" style="text-decoration: none;" class="text-white"><?php echo e(translate('View All')); ?></a>
            </h5>
        </div>
        <hr class="mb-4 mt-4">
    </div>


    <div class="row">
        <?php $__currentLoopData = $topGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-6 col-md-2 mt-1" style="cursor: pointer" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
                <div class="card">
                    <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="card-img-top game-image" alt="<?php echo e($game->name); ?>">
                    <div class="card-body">
                        <h5 class="card-title text-truncate"><?php echo e($game->name); ?></h5>
                        <a href="<?php echo e(route('game', $game->slug)); ?>" class="btn btn-primary"><?php echo e(translate('Play Now')); ?></a>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <!-- Add more top games here -->
    </div>

</div>

<?php $__currentLoopData = $homeCategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php
        $categoryGames = App\Models\Game::where('category_id', $category->id)->where('status', 1)->orderBy('id', 'desc')->limit(18)->get();
    ?>

    <?php if($categoryGames->isNotEmpty()): ?>
        <div class="container-fluid my-3">
            <div class="row">
                <div class="col-12 d-flex justify-content-between align-items-center">
                    <a href="<?php echo e(route('category', $category->slug)); ?>" style="text-decoration: none;">
                        <h2 class="m-0 text-center text-md-start w-100 w-md-auto"><?php echo e($category->name); ?></h2>
                    </a>
                    <h5 class="d-none d-md-block m-0" style="white-space: nowrap;">
                        <a href="<?php echo e(route('category', $category->slug)); ?>" style="text-decoration: none;" class="text-white"><?php echo e(translate('View All')); ?></a>
                    </h5>
                </div>
                <hr class="mb-4 mt-4">
            </div>

            <div class="row">
                <?php $__currentLoopData = $categoryGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-md-2 mt-1">
                        <div class="card">
                            <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="card-img-top game-image" alt="<?php echo e($game->name); ?>">
                            <div class="card-body">
                                <h5 class="card-title text-truncate"><?php echo e($game->name); ?></h5>
                                <a href="<?php echo e(route('game', $game->slug)); ?>" class="btn btn-primary"><?php echo e(translate('Play Now')); ?></a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    <?php endif; ?>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php elseif($theme == 'gamehive'): ?>

    <div class="container">

        <!-- Search Box -->
        <form action="<?php echo e(route('search')); ?>" method="GET">
            <div class="search-box" id="searchBox">
                <input type="text" name="search" placeholder="<?php echo e(translate('Search games...')); ?>" aria-label="Search">
                <button type="submit">🔍</button>
            </div>
        </form>

        <div class="categories-section">
            <nav>
                <ul id="categories" class="categories-list">
                    <li data-category="all" class="active">
                        <img src="https://cdn-icons-png.freepik.com/256/10066/10066525.png" alt="All Games">
                        <span><?php echo e(translate('All Games')); ?></span>
                    </li>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li data-category="<?php echo e($category->id); ?>" class="active">
                            <img src="<?php echo e(asset('images/categories/'.$category->image)); ?>" alt="<?php echo e($category->name); ?>">
                            <span><?php echo e($category->name); ?></span>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </nav>
        </div>



        <section id="game-list">

            <?php $__currentLoopData = $allGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="game-card position-relative" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'" data-category="<?php echo e($game->category_id); ?>">
                    <div class="game-thumbnail-wrapper">
                        <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" alt="Action Game" class="img-fluid">
                        <div class="game-name-overlay position-absolute w-100 bottom-0 text-center text-white py-2">
                            <?php echo e($game->name); ?>

                        </div>
                    </div>
                    <h6 class="mt-2"><?php echo e($game->name); ?></h6>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            <!-- Add more games here -->
        </section>
    </div>

<?php elseif($theme == 'gamegalore'): ?>

<section class="container-fluid category-content" data-category-id=162>
    <article id=post-8518 class="post-8518 page type-page status-publish hentry">
        <!-- <header class="entry-header category-entry-header">
            <h1 class="entry-title category-headline">Html5 Games</h1></header> -->
        <div class=entry-content>
            <div id=first-content-below class=content-below-category>
                <div id=games-container class="row g-2 row-cols-3 row-cols-xs-4 row-cols-sm-5 row-cols-md-6 row-cols-lg-7 row-cols-l-8 row-cols-xl-9 row-cols-xxl-10 row-cols-xxxl-12">
                    <?php $__currentLoopData = $allGames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $games): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="game-col col">
                            <div class="game-wrapper img-aspect-ratio-1x1 rounded-3 shadow image-popup game ">
                                <a href="<?php echo e(route('game', $games->slug)); ?>">
                                    <img src=<?php echo e(asset('images/games/icons/'.$games->image)); ?> alt="Growing Fish" title="Growing Fish"
                                    alt="Growing Fish" class="rounded-3 img-fluid" loading=lazy>
                                    <div class=text><?php echo e($games->name); ?></div>
                                </a>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <div class=mb-4>
                    <h2><?php echo e(translate('Categories')); ?></h2>
                    <ul class="category-tags list-unstyled d-flex flex-wrap gutter">
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="rounded-3 bg-secondary height-48 ts-hover-scale-10 shadow" data-url="<?php echo e(route('category', $category->slug)); ?>">
                                <a href="<?php echo e(route('category', $category->slug)); ?>" class="d-table-cell align-middle height-48">
                                    <img src="<?php echo e(asset('images/categories/'.$category->image)); ?>" loading=lazy class="height-48 rounded-3">
                                    <span class="text small px-2 px-sm-3"><?php echo e($category->name); ?></span>
                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </article>
</section>

<?php endif; ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/jusih.com/resources/views/frontend/home/index.blade.php ENDPATH**/ ?>