<?php $__env->startSection('content'); ?>

<!-- Bootstrap CSS (if not already included) -->
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet">
<!-- Bootstrap Switch CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/css/bootstrap3/bootstrap-switch.min.css" rel="stylesheet">

<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12 text-center">
                <h1 class="mb-4 text-lg">System</h1>
            </div>
            <div class="col-md-4 col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <div class="card-header text-center">
                            <h1 class="text-lg mb-0 mt-0 text-center">HTTPS Activation</h1>
                        </div>
                        <div class="card-body text-center">
                            <input type="checkbox" id="force-https-toggle"
                                    <?php if(env('FORCE_HTTPS') == 'on'): ?> checked <?php endif; ?>
                                    data-bootstrap-switch
                                    data-off-color="danger"
                                    data-on-color="success">
                        </div>
                        <div class="card-footer text-center">
                            <p class="text-xxsm">
                                If you are running your website under an SSL certificate HTTPS then enable this feature.
                            </p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-4 col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <div class="card-header text-center">
                            <h1 class="text-lg mb-0 mt-0 text-center">Maintenance Mode Activation</h1>
                        </div>
                        <div class="card-body text-center">
                            <input type="checkbox" data-id="1" data-bootstrap-switch data-off-color="danger" data-on-color="success">
                        </div>
                        <div class="card-footer text-center">
                            <p class="text-xxsm">
                                In Maintenance mode your website will be down but you will be able to access Admin Panel.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-12">
                <div class="card">
                    <div class="card-body">
                        <div class="card-header text-center">
                            <h1 class="text-lg mb-0 mt-0 text-center">Disable Image Encoding?</h1>
                        </div>
                        <div class="card-body text-center">
                            <input type="checkbox" class="rtl-switch" data-id="1" checked data-bootstrap-switch data-off-color="danger" data-on-color="success">
                        </div>
                        <div class="card-footer text-center">
                            <p class="text-xxsm">
                                After enabling this feature the app will stop encoding images on the website.
                            </p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 text-center">
                <h1 class="mb-4 text-lg">Social Login</h1>
            </div>

            <?php $__currentLoopData = ['facebook_login', 'google_login', 'twitter_login', 'apple_login']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4 col-sm-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="card-header text-center">
                                <h1 class="text-lg mb-0 mt-0 text-center">
                                    <?php echo e(ucfirst(str_replace('_', ' ', $key))); ?>

                                </h1>
                            </div>
                            <div class="card-body text-center">
                                <input type="checkbox"
                                    class="rtl-switch"
                                    data-key="<?php echo e($key); ?>"
                                    <?php if(isset($settings[$key]) && $settings[$key] == '1'): ?> checked <?php endif; ?>
                                    data-bootstrap-switch
                                    data-off-color="danger"
                                    data-on-color="success">
                            </div>
                            <div class="card-footer text-center">
                                <p class="text-xxsm">
                                    You need to configure <?php echo e(ucfirst(str_replace('_', ' ', $key))); ?> Client correctly to enable this feature.
                                    <a href="<?php echo e(route('admin.global.settings')); ?>">Configure Now</a>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
</section>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- Bootstrap Switch JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-switch/3.3.4/js/bootstrap-switch.min.js"></script>

<script>
    $(document).ready(function () {
        // Initialize all Bootstrap Switch elements
        $("input[data-bootstrap-switch]").bootstrapSwitch();

        // Attach event handlers for all toggles
        $("input[data-bootstrap-switch]").on('switchChange.bootstrapSwitch', function (event, state) {
            const key = $(this).data('key'); // Retrieve the key
            const value = state ? 1 : 0; // State: true (1) or false (0)

            // Make an AJAX call to save the updated value
            $.ajax({
                url: '<?php echo e(route('settings.toggle.login')); ?>',
                type: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>',
                    key: key,
                    value: value
                },
                success: function (response) {
                    if (response.success) {
                        toastr.success(`${key.replace('_', ' ')} updated successfully!`);
                    } else {
                        toastr.error('Failed to update setting.');
                    }
                },
                error: function (xhr) {
                    toastr.error('An error occurred. Please try again.');
                    console.error(xhr.responseText);
                }
            });
        });
    });

</script>


<script>
    $(document).ready(function() {
        // Initialize all Bootstrap switches
        $("input[data-bootstrap-switch]").bootstrapSwitch();

        // Handle the HTTPS toggle switch specifically
        $('#force-https-toggle').on('switchChange.bootstrapSwitch', function(event, state) {
            // Make the AJAX request to toggle the value in the backend
            $.ajax({
                url: '<?php echo e(route('admin.update.force_https')); ?>',
                method: 'POST',
                data: {
                    _token: '<?php echo e(csrf_token()); ?>'
                },
                success: function(response) {
                    // Log the response to ensure we get the expected result
                    console.log(response.message);
                    toastr.success(response.message);
                },
                error: function(xhr) {
                    toastr.error('Failed to update HTTPS setting.');
                    console.log(xhr.responseText);
                }
            });
        });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/jusih.com/resources/views/backend/features/index.blade.php ENDPATH**/ ?>