<?php
    $theme = App\Models\BusinessSettings::where('key', 'theme')->first()->value;
?>



<?php if($theme == 'playverse'): ?>
<title><?php echo e($category->name); ?> - <?php echo e(old('website_name', $settings['website_name'] ?? '')); ?></title>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid my-5">
        <h2><?php echo e($category->name); ?></h2>

        <div class="row">
            <?php $__currentLoopData = $games; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-2 mt-1">
                    <div class="card">
                        <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" class="card-img-top game-image" alt="<?php echo e($game->name); ?>">
                        <div class="card-body">
                            <h5 class="card-title"><?php echo e($game->name); ?></h5>
                            <a href="<?php echo e(route('game', $game->slug)); ?>" class="btn btn-primary"><?php echo e(translate('Play Now')); ?></a>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php elseif($theme == 'gamehive'): ?>
<?php $__env->startSection('content'); ?>
 <!-- Sidebar Container with Sidebar and Button inside -->
 <div class="gamehive-sidebar-container" id="sidebarContainer">
    <!-- Sidebar -->
    <div class="gamehive-sidebar">
        <ul class="gamehive-category-list">
            <?php $__currentLoopData = $hivecategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li class="col-md-12 mb-4">
                <div class="card" style="cursor: pointer;" onclick="location.href='<?php echo e(route('category', $category->slug)); ?>'">
                    <img src="<?php echo e(asset('images/categories/' . $category->image)); ?>" class="card-img-top" alt="<?php echo e($category->name); ?>">
                    <h6 class="card-title text-center"><strong><?php echo e($category->name); ?></strong></h6>
                </div>
            </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>

    <!-- Floating Button -->
    <button class="gamehive-floating-button" onclick="toggleSidebar()">☰</button>
</div>

<div class="container">

    <!-- Search Box -->
    <form class="mb-4" action="<?php echo e(route('search')); ?>" method="GET">
        <div class="search-box" id="searchBox">
            <input type="text" name="search" placeholder="<?php echo e(translate('Search games...')); ?>" aria-label="Search">
            <button type="submit">🔍</button>
        </div>
    </form>

    <section id="game-list">

        <?php $__currentLoopData = $games; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="game-card position-relative" style="cursor: pointer;" onclick="location.href='<?php echo e(route('game', $game->slug)); ?>'">
            <div class="game-thumbnail-wrapper">
                <img src="<?php echo e(asset('images/games/icons/' . $game->image)); ?>" alt="Action Game" class="img-fluid">
                <div class="game-name-overlay position-absolute w-100 bottom-0 text-center text-white py-2">
                    <?php echo e($game->name); ?>

                </div>
            </div>
            <h6 class="mt-2"><?php echo e($game->name); ?></h6>
        </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


        <!-- Add more games here -->
    </section>
</div>
<?php $__env->stopSection(); ?>

<?php elseif($theme == 'gamegalore'): ?>

<?php $__env->startSection('content'); ?>
<section class="container-fluid category-content" data-category-id=162>
    <article id=post-8518 class="post-8518 page type-page status-publish hentry">
        <header class="entry-header category-entry-header">
            <h1 class="entry-title category-headline"><?php echo e($category->name); ?></h1>
        </header>
        <div class=entry-content>
            <div id=first-content-below class=content-below-category>
                <div id=games-container class="row g-2 row-cols-3 row-cols-xs-4 row-cols-sm-5 row-cols-md-6 row-cols-lg-7 row-cols-l-8 row-cols-xl-9 row-cols-xxl-10 row-cols-xxxl-12">
                    <?php $__currentLoopData = $games; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $game): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="game-col col">
                            <div class="game-wrapper img-aspect-ratio-1x1 rounded-3 shadow image-popup game ">
                                <a href="<?php echo e(route('game', $game->slug)); ?>">
                                    <img src=<?php echo e(asset('images/games/icons/'.$game->image)); ?> alt="Growing Fish" title="Growing Fish"
                                    alt="Growing Fish" class="rounded-3 img-fluid" loading=lazy>
                                    <div class=text><?php echo e($game->name); ?></div>
                                </a>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <div class=mb-4>
                    <h2><?php echo e(translate('Categories')); ?></h2>
                    <ul class="category-tags list-unstyled d-flex flex-wrap gutter">
                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="rounded-3 bg-secondary height-48 ts-hover-scale-10 shadow" data-url="<?php echo e(route('category', $category->slug)); ?>">
                                <a href="<?php echo e(route('category', $category->slug)); ?>" class="d-table-cell align-middle height-48">
                                    <img src="<?php echo e(asset('images/categories/'.$category->image)); ?>" loading=lazy class="height-48 rounded-3">
                                    <span class="text small px-2 px-sm-3"><?php echo e($category->name); ?></span>
                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </article>
</section>
<?php $__env->stopSection(); ?>

<?php endif; ?>

<?php echo $__env->make('frontend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/jusih.com/resources/views/frontend/categories/index.blade.php ENDPATH**/ ?>