<?php $__env->startSection('content'); ?>
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1 class="m-0">Global Settings</h1>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <!-- Info boxes -->
        <ul class="nav nav-tabs" id="gameTabs" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="add-new-tab" data-toggle="tab" href="#add-new" role="tab" aria-controls="add-new" aria-selected="true">Basic Settings</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="generate-api2-tab" data-toggle="tab" href="#generate-api2" role="tab" aria-controls="generate-api2" aria-selected="false">SEO Settings</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="generate-api-tab" data-toggle="tab" href="#generate-api" role="tab" aria-controls="generate-api" aria-selected="false">Social Link Setup</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="social-login-tab" data-toggle="tab" href="#social-login" role="tab" aria-controls="social-login" aria-selected="false">Social Login Setup</a>
            </li>
        </ul>
        <div class="tab-content" id="gameTabContent">
            <!-- Add New Game Form -->
            <div class="tab-pane fade show active" id="add-new" role="tabpanel" aria-labelledby="add-new-tab">
                <!-- Info boxes -->
                <form action="<?php echo e(route('admin.global.settings.update')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-8">
                            <div class="card card-primary">
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="website_name">Website Name</label>
                                        <input type="text" class="form-control" id="website_name" name="website_name" value="<?php echo e(old('website_name', $settings['website_name'] ?? '')); ?>" required>
                                    </div>

                                    <div class="form-group">
                                        <label for="website_tagline">Website Tagline (Footer)</label>
                                        <input type="text" class="form-control" id="website_tagline" name="website_tagline" value="<?php echo e(old('website_tagline', $settings['website_tagline'] ?? '')); ?>" required>
                                    </div>

                                    <div class="form-group">
                                        <label for="werbsite_description">Website Description</label>
                                        <textarea class="form-control" id="werbsite_description" name="werbsite_description" rows="4" required><?php echo e(old('werbsite_description', $settings['website_description'] ?? '')); ?></textarea>
                                    </div>

                                    <div class="form-group">
                                        <label for="contact_email">Contact Email</label>
                                        <input type="email" class="form-control" id="contact_email" name="contact_email" value="<?php echo e(old('contact_email', $settings['contact_email'] ?? '')); ?>" required>
                                    </div>

                                    <div class="form-group">
                                        <label for="website_meta_title">Meta Title (Optional)</label>
                                        <input type="text" class="form-control" id="website_meta_title" name="website_meta_title" value="<?php echo e(old('website_meta_title', $settings['website_meta_title'] ?? '')); ?>">
                                    </div>

                                    <div class="form-group">
                                        <label for="website_meta_description">Meta Description (Optional)</label>
                                        <textarea class="form-control" id="website_meta_description" name="website_meta_description" rows="3"><?php echo e(old('website_meta_description', $settings['website_meta_description'] ?? '')); ?></textarea>
                                    </div>

                                    <div class="form-group">
                                        <label for="gamepix_sid">GamePix SID</label>
                                        <p class="text-red text-small">https://feeds.gamepix.com/v2/json?sid=<span class="text-white">00XXX</span>&pagination=12&page=1 <a href="https://my.gamepix.com/" target="_blank">Get From here</a> </p>
                                        <input type="text" class="form-control" id="gamepix_sid" name="gamepix_sid" placeholder="0XXXX" value="<?php echo e(old('gamepix_sid', $settings['gamepix_sid'] ?? '')); ?>"/>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="card card-primary">
                                <div class="card-body">
                                    <div class="form-group">
                                        <label for="image">Website Logo</label>
                                        <div id="image-drop-area" class="drop-area">
                                            <p>Drag & drop an image here or click to select a file</p>
                                            <?php if(isset($settings['website_logo'])): ?>
                                                <img id="image-preview" src="<?php echo e(asset('images/logos/' . $settings['website_logo'])); ?>" alt="Image Preview" style="max-width: 100%; height: auto; margin-top: 10px;">
                                            <?php else: ?>
                                                <img id="image-preview" src="#" alt="Image Preview" style="display: none; max-width: 100%; height: auto; margin-top: 10px;">
                                            <?php endif; ?>
                                            <input type="file" class="form-control-file" id="image" name="image" accept="image/*" hidden>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="banner">Website Favicon</label>
                                        <div id="banner-drop-area" class="drop-area">
                                            <p>Drag & drop a banner here or click to select a file</p>
                                            <?php if(isset($settings['website_favicon'])): ?>
                                                <img id="banner-preview" src="<?php echo e(asset('images/favicons/' . $settings['website_favicon'])); ?>" alt="Banner Preview" style="max-width: 100%; height: auto; margin-top: 10px;">
                                            <?php else: ?>
                                                <img id="banner-preview" src="#" alt="Banner Preview" style="display: none; max-width: 100%; height: auto; margin-top: 10px;">
                                            <?php endif; ?>
                                            <input type="file" class="form-control-file" id="banner" name="banner" accept="image/*" hidden>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="website_tags">Tags (Optional)</label>
                                        <input type="text" class="form-control" id="website_tags" name="website_tags" value="<?php echo e(old('website_tags', $settings['website_tags'] ?? '')); ?>">
                                    </div>
                                </div>

                                <div class="card-footer text-right">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>

            </div>

            <!-- Import from API 1 -->

            <div class="tab-pane fade" id="generate-api2" role="tabpanel" aria-labelledby="generate-api2-tab">
                <form method="POST" action="<?php echo e(route('admin.seo.settings.update')); ?>">
                    <?php echo csrf_field(); ?>
                    <div class="card card-primary">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="num">Google Analytics Tags</label>
                                        <textarea class="form-control" minlength="10" name="google-analytics" id="google-analytics" placeholder="Paste Google Analytics tag here..."
                                            style="height: 250px;">
                                            <?php echo e(old('google_analytics', $settings['google_analytics'] ?? '')); ?>

                                        </textarea>

                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="adstxt">Ads.txt Settings</label>
                                        <textarea style="height: 250px;" class="form-control" minlength="10" name="adstxt" id="adstxt" placeholder="Paste ads.txt code..."><?php echo e(old('adstxt', $adsTxt)); ?></textarea>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Sitemap URL to submit on search Engines</label>
                                        <input type="text" class="form-control" value="<?php echo e(url('sitemap.xml')); ?>" readonly>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </form>

            </div>

            <!-- Generate From API Form -->
            <div class="tab-pane fade" id="generate-api" role="tabpanel" aria-labelledby="generate-api-tab">
                <form action="<?php echo e(route('admin.social.settings.update')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="card card-primary">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="facebook_link">Facebook Link</label>
                                <input type="text" class="form-control" name="facebook_link" id="facebook_link" value="<?php echo e(old('facebook_link', $settings['facebook_link'] ?? '')); ?>" placeholder="Paste the facebook URL">
                            </div>
                            <div class="form-group">
                                <label for="twitter_link">Twitter Link</label>
                                <input type="text" class="form-control" name="twitter_link" value="<?php echo e(old('twitter_link', $settings['twitter_link'] ?? '')); ?>" id="twitter_link" placeholder="Paste the Twitter URL">
                            </div>
                            <div class="form-group">
                                <label for="instagram_link">Instagram Link</label>
                                <input type="text" class="form-control" name="instagram_link" value="<?php echo e(old('instagram_link', $settings['instagram_link'] ?? '')); ?>" id="instagram_link" placeholder="Paste the Instagram URL">
                            </div>
                            <div class="form-group">
                                <label for="youtube_link">YouTube Link</label>
                                <input type="text" class="form-control" name="youtube_link" value="<?php echo e(old('youtube_link', $settings['youtube_link'] ?? '')); ?>" id="youtube_link" placeholder="Paste the YouTube URL">
                            </div>
                        </div>

                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </form>
            </div>

            <!-- Social Login -->
            <div class="tab-pane fade" id="social-login" role="tabpanel" aria-labelledby="social-login-tab">
                <form action="<?php echo e(route('admin.social.login.settings.update')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="card card-primary">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card-body">
                                    <div class="text-center">
                                        <h5 class="card-header">Google Login Setup</h5>
                                    </div>
                                    <div class="m-2">
                                        <div class="form-group">
                                            <label for="google_client_id">GOOGLE_CLIENT_ID</label>
                                            <input type="text" class="form-control" name="google_client_id" id="google_client_id" value="<?php echo e(old('GOOGLE_CLIENT_ID', env('GOOGLE_CLIENT_ID') ?? '')); ?>" placeholder="PASTE GOOGLE_CLIENT_ID">
                                        </div>
                                        <div class="form-group">
                                            <label for="google_client_secret">GOOGLE_CLIENT_SECRET</label>
                                            <input type="text" class="form-control" name="google_client_secret" value="<?php echo e(old('GOOGLE_CLIENT_SECRET', env('GOOGLE_CLIENT_SECRET') ?? '')); ?>" id="google_client_secret" placeholder="PASTE GOOGLE_CLIENT_SECRET">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="card-body">
                                    <div class="text-center">
                                        <h5 class="card-header">Facebook Login Setup</h5>
                                    </div>
                                    <div class="m-2">
                                        <div class="form-group">
                                            <label for="facebook_client_id">FACEBOOK_CLIENT_ID</label>
                                            <input type="text" class="form-control" name="facebook_client_id" id="google_client_id" value="<?php echo e(old('FACEBOOK_CLIENT_ID', env('FACEBOOK_CLIENT_ID') ?? '')); ?>" placeholder="PASTE FACEBOOK_CLIENT_ID">
                                        </div>
                                        <div class="form-group">
                                            <label for="facebook_client_secret">FACEBOOK_CLIENT_SECRET</label>
                                            <input type="text" class="form-control" name="facebook_client_secret" value="<?php echo e(old('FACEBOOK_CLIENT_SECRET', env('FACEBOOK_CLIENT_SECRET') ?? '')); ?>" id="facebook_client_secret" placeholder="PASTE FACEBOOK_CLIENT_SECRET">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="card-body">
                                    <div class="text-center">
                                        <h5 class="card-header">Twitter Login Setup</h5>
                                    </div>
                                    <div class="m-2">
                                        <div class="form-group">
                                            <label for="twitter_client_id">TWITTER_CLIENT_ID</label>
                                            <input type="text" class="form-control" name="twitter_client_id" id="twitter_client_id" value="<?php echo e(old('TWITTER_CLIENT_ID', env('TWITTER_CLIENT_ID') ?? '')); ?>" placeholder="PASTE TWITTER_CLIENT_ID">
                                        </div>
                                        <div class="form-group">
                                            <label for="twitter_client_secret">TWITTER_CLIENT_SECRET</label>
                                            <input type="text" class="form-control" name="twitter_client_secret" value="<?php echo e(old('TWITTER_CLIENT_SECRET', env('TWITTER_CLIENT_SECRET') ?? '')); ?>" id="twitter_client_secret" placeholder="PASTE TWITTER_CLIENT_SECRET">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card-footer text-right">
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </form>
            </div>
        <!-- /.row -->
    </div><!--/. container-fluid -->
</section>

<!-- Move the scripts and styles directly into the content section -->
<style>
    .drop-area {
        border: 2px dashed #ccc;
        padding: 20px;
        text-align: center;
        cursor: pointer;
        transition: border-color 0.3s ease;
    }

    .drop-area.drag-over {
        border-color: #007bff;
    }

    .drop-area p {
        margin: 0;
        font-size: 16px;
    }
</style>


<script>
    document.addEventListener('DOMContentLoaded', function () {
        function initDragAndDrop(dropAreaId, inputId, previewId) {
            let dropArea = document.getElementById(dropAreaId);
            let input = document.getElementById(inputId);
            let preview = document.getElementById(previewId);

            dropArea.addEventListener('dragover', (event) => {
                event.preventDefault();
                dropArea.classList.add('drag-over');
            });

            dropArea.addEventListener('dragleave', () => {
                dropArea.classList.remove('drag-over');
            });

            dropArea.addEventListener('drop', (event) => {
                event.preventDefault();
                dropArea.classList.remove('drag-over');
                input.files = event.dataTransfer.files;

                if (input.files.length > 0) {
                    const file = input.files[0];
                    const reader = new FileReader();

                    reader.onload = function(e) {
                        preview.src = e.target.result;
                        preview.style.display = 'block';
                    };

                    reader.readAsDataURL(file);
                }
            });

            dropArea.addEventListener('click', () => {
                input.click();
            });

            input.addEventListener('change', () => {
                if (input.files.length > 0) {
                    const file = input.files[0];
                    const reader = new FileReader();

                    reader.onload = function(e) {
                        preview.src = e.target.result;
                        preview.style.display = 'block';
                    };

                    reader.readAsDataURL(file);
                }
            });
        }

        initDragAndDrop('image-drop-area', 'image', 'image-preview');
        initDragAndDrop('banner-drop-area', 'banner', 'banner-preview');
    });
</script>
<script>
    // JavaScript from your original code
    $(function () {
        $('#gameTabs a').on('click', function (e) {
            e.preventDefault();
            $(this).tab('show');
        });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/filaoxuw/jusih.com/resources/views/backend/website-settings/global-setting.blade.php ENDPATH**/ ?>